/*
 * Copyright (c) 2011 NetApp, Inc.
 * All rights reserved.
 *
 * *** NOTE *** DO NOT EDIT THIS FILE - it is generated by zapidoc.
 * *** Generated: Thu Aug 25 16:55:55 2011
 */

package netapp.manage;
/**
 * This interface contains Data ONTAP API error code constants.
 */
public interface NaErrno {

	public static final int EADAPTERINVALIDTYPE = 13125;
	/* Adapter type invalid.  */

	public static final int EADAPTERNOTFOUND = 13122;
	/* Adapter not found.  */

	public static final int EADAPTERPARTNER = 13123;
	/* Adapter working on behalf of partner.  */

	public static final int EAGGRDOESNOTEXIST = 14420;
	/* Containing aggregate does not exist in the system.  */

	public static final int EAGGRFAILINGOVER = 14422;
	/* Containing aggregate is failing over.  */

	public static final int EAGGRMISMATCH = 14423;
	/* Specified aggregate no longer contains the volume or snapshot.  */

	public static final int EAGGRNOTONLINE = 14421;
	/* Containing aggregate is not online.  */

	public static final int EAGGR_64BIT_UPGRADE_ENOSPC = 15860;
	/* The total amount of free space after aggr-add is not sufficient. User needs to retry the aggr-add operation with more disks.  */

	public static final int EAGGR_64BIT_UPGRADE_NOT_IN_PROGRESS = 15858;
	/* No 64-bit upgrade is in progress on the aggregate.  */

	public static final int EAGGR_64BIT_UPGRADE_RESTRICTED = 15862;
	/* The 64-bit upgrade operation is not allowed on restricted aggregates  */

	public static final int EAGGR_CANT_UNDO_HYBRID = 15713;
	/* Cannot reset hybrid option when the aggregate contains a mix of HDD and SSD groups.  */

	public static final int EAGGR_FAILED_LIMBO = 15880;
	/* Aggregate is in failed or limbo state  */

	public static final int EAGGR_HAS_SNAPSHOTS = 15711;
	/* Aggregate contains snapshots.  */

	public static final int EAGGR_HAS_UNSUPPORTED_VOLUME = 15712;
	/* Aggregate contains unsupported volume(s).  */

	public static final int EAGGR_HYBRID = 15714;
	/* Aggregate is already a hybrid aggregate.  */

	public static final int EAGGR_MIGRATE_CORE = 15876;
	/* Migration of the aggregate failed  */

	public static final int EAGGR_MIGRATE_HA_MSG_ERR = 16516;
	/* Encountered HA messaging error while migrating the aggregate.  */

	public static final int EAGGR_MIGRATE_OFFLINE_FAILED = 15881;
	/* Offline of the aggregate failed  */

	public static final int EAGGR_MIGRATE_ONLINE_FAILED = 16518;
	/* Failed to online the aggregate after migration.  */

	public static final int EAGGR_MIGRATE_ONLINE_TIMEOUT = 16517;
	/* Aggregate did not come online after migration.  */

	public static final int EAGGR_MIGRATE_VETO = 15883;
	/* Migration of the aggregate was vetoed  */

	public static final int EAGGR_MIGRATING = 15882;
	/* Aggregate is being migrated  */

	public static final int EAGGR_READONLY = 17153;
	/* Containing aggregate is readonly.  */

	public static final int EAGGR_SIZE_LESS_THAN_16TB = 15859;
	/* The total amount of disks after aggr add is still less than 16TB  */

	public static final int EAGGR_SNAPSHOT_IN_PROGRESS = 15710;
	/* A snapshot is being created in the aggregate.  */

	public static final int EAGGR_TOO_LARGE = 15001;
	/* Aggregate size is too large.  */

	public static final int EAGGR_WOULD_UPGRADE = 15857;
	/* Aggr add causes total disks to go beyond 16TB.  */

	public static final int EAGGR_ZONED_NOT_ALLOWED_WITH_DISKS = 15719;
	/* Creation of zoned checksum aggregate is not allowed using disks.  */

	public static final int EALREADYSTARTED = 13013;
	/* Service, adapter, or operation already started.  */

	public static final int EAMBIGUOUS_DSID = 13029;
	/* DSID value supplied is ambiguous.  */

	public static final int EANOTHER_OP_ACTIVE = 17131;
	/* Another Snapmirror operation is in progress  */

	public static final int EAPIAUTHENTICATION = 13002;
	/* Authentication failed.  */

	public static final int EAPIERROR = 13001;
	/* Generic API error, used when an API returns a "failed" status, but for which a specific errno value has not been given.  */

	public static final int EAPIEXCEPTION = 13004;
	/* An exception occured while trying to execute the API.  */

	public static final int EAPIINDEXTOOLARGE = 13009;
	/* A value for to-index or from-index was given which exceeds the max-index value for a particular iteration.  */

	public static final int EAPILICENSE = 13008;
	/* The API exists, but appliance does not have a necessary license.  */

	public static final int EAPIMISSINGARGUMENT = 13006;
	/* One or more of the required input arguments to the API is missing.  */

	public static final int EAPIMISSINGOUTPUT = 14513;
	/* One or more of the required output elements of the API is missing.  */

	public static final int EAPINOTFOUND = 13005;
	/* The API cannot be found.  */

	public static final int EAPINOTIMPLEMENTED = 13007;
	/* The API exists, but is not implemented.  */

	public static final int EAPIPRIVILEDGE = 13003;
	/* The authenticated user had insufficient priviledge to execute the API.  */

	public static final int EAPIPRIVILEGE = 13003;
	/* The authenticated user had insufficient priviledge to execute the API.  */

	public static final int EAPITOOMANYENTRIES = 13019;
	/* The number of entries in the input/output array are more than the max number that can be handled in one zapi call.  */

	public static final int EAPITRANSMISSION = 13011;
	/* An error occurred in the transmission of the API request on its way to the appliance.  */

	public static final int EAPIUNSUPPORTEDVERSION = 13010;
	/* The request was for an API version which is not supported by the appliance.  */

	public static final int EAPI_CONNECTION = 13055;
	/* An error occurred in connecting to the appliance.  */

	public static final int EAPI_CONNECTION_DROPPED = 13056;
	/* Server unexpectedly dropped the connection for this request.  */

	public static final int EAPI_RECEPTION = 13057;
	/* An error occurred in the reception and processing of the API reply from the appliance.  */

	public static final int EAPPLICATIONNOTFOUND = 16043;
	/* Application not found  */

	public static final int EARRAYNOTFOUND = 15694;
	/* No array matching this criteria exists in the array profile database.  */

	public static final int EAUTHENTICATIONMETHODNOTFOUND = 16044;
	/* Authentication method not found  */

	public static final int EBADCOREID = 14100;
	/* Specified core could not be found  */

	public static final int EBADFILELENGTH = 14006;
	/* File length specified is bad  */

	public static final int EBADOPTIONS = 13949;
	/* String in the takeover-options does noes not specify a legal value.  */

	public static final int EBROADCASTINVALID = 1020;
	/* Invalid broadcast address.  */

	public static final int ECANTQUIESCELASTPATH = 16504;
	/* Only one path exists for the LUN. Quiesce cannot be executed on the last path.  */

	public static final int ECANT_USE_ALL_DISKS = 13515;
	/* Cannot use all the disks specified for the requested operation  */

	public static final int ECGERROR = 13700;
	/* General CG error  */

	public static final int ECGOFF = 13702;
	/* CG is disabled  */

	public static final int ECGSNAPERR = 13701;
	/* Snap create error  */

	public static final int ECHARMAP_INVALID = 13800;
	/* Volume charmap is invalid  */

	public static final int ECHARMAP_NO_PERSIST = 13801;
	/* Volume charmap could not be made persistent  */

	public static final int ECHECKRESULTS = 1008;
	/* Partially successful, errors encountered, check results.  */

	public static final int ECIFSNOTCONFIGURED = 13164;
	/* Occurs when the filer is not yet configured for CIFS.  */

	public static final int ECIFSSHARINGVIOLATION = 13210;
	/* Occurs when another process has locked a portion of the CIFS resource that is tried to be accessed by current process.  */

	public static final int ECIFS_AD_CLOCK_SKEW = 13254;
	/* The system time is more than five minutes apart from the domain controller  */

	public static final int ECIFS_AD_RESET_REQUIRED = 13255;
	/* The machine account for the server name specified is inconsistent and must be reset  */

	public static final int ECIFS_BIND_FAILED = 13251;
	/* Unable to bind to a required service  */

	public static final int ECIFS_DC_CONNECT_FAILED = 13257;
	/* Unable to connect to the domain controller specified  */

	public static final int ECIFS_DNS_REQUIRED = 13252;
	/* DNS is unconfigured or disabled but is required  */

	public static final int ECIFS_HAVE_SESSION_SCOPED_LOCKS = 13258;
	/* Cannot offline or restrict volume due to open files.  */

	public static final int ECIFS_KRB_CONFLICT = 13253;
	/* Kerberos support is in use by a service other than CIFS and must be disabled first to avoid interrupting live clients  */

	public static final int ECIFS_LIST_UNAVAILABLE = 13256;
	/* The required information is unavailable and manual input should be provided  */

	public static final int ECIFS_LOGIN_FAILED = 13250;
	/* Cannot authenticate with the credentials supplied  */

	public static final int ECIFS_PASSWD_AND_GROUP_REQUIRED = 13259;
	/* /etc/passwd and/or /etc/group files are missing, but required.  */

	public static final int ECIFS_SETUP_CANNOT_WRITE = 13260;
	/* Setup was unable to write one or more of the specified files.  */

	public static final int ECKSUMNOTKNOWN = 17000;
	/* Intended checksum type cannot be determined.  */

	public static final int ECKSUMTYPEMISMATCH = 17001;
	/* Disk checksum type does not match with other disks.  */

	public static final int ECLIENTSTATSNOTENABLED = 13162;
	/* Occurs when the option cifs.per-client-stats is not enabled to display the top CIFS client statistics.  */

	public static final int ECLIENTSTATSVFILER = 13161;
	/* Occurs when the a request is made for the top cifs or nfs clients while not running from a vfiler context.  */

	public static final int ECLONEINPROGRESS = 307;
	/* Volume has clones backed by snapshots  */

	public static final int ECLUSTERED = 13129;
	/* System is part of a cluster pair.  */

	public static final int ECMDDIRNOTFOUND = 16039;
	/* Command directory not found  */

	public static final int ECMSINVALIDREQUEST = 13090;
	/* Invalid cms request, missing info  */

	public static final int ECMSNOTENABLED = 13091;
	/* cms not enabled, can not process request  */

	public static final int ECMSPROCESSINGERROR = 13092;
	/* cms request failed while processing  */

	public static final int ECOL_ABORT_COPYIDNOTFOUND = 15031;
	/* Abort copy ID doesn't exist  */

	public static final int ECOL_ABORT_INTERNALERROR = 15030;
	/* Internal copy offload abort error  */

	public static final int ECOL_ABORT_INVALIDINPUTERROR = 15029;
	/* Bad input to abort zapi  */

	public static final int ECOL_COPY_COPYFAILED = 15024;
	/* Copy offload operation failed  */

	public static final int ECOL_COPY_DSTREADONLY = 15021;
	/* Destination file is read only  */

	public static final int ECOL_COPY_FILENOTFOUND = 15016;
	/* File not found  */

	public static final int ECOL_COPY_INTERNALERROR = 15015;
	/* Internal copy offload error  */

	public static final int ECOL_COPY_INVALIDINPUTERROR = 15014;
	/* Bad input to copy zapi  */

	public static final int ECOL_COPY_ISDIRECTORY = 15022;
	/* The source or destination is a directory  */

	public static final int ECOL_COPY_NOACCESSTOSRC = 15018;
	/* Source path can't be accessed  */

	public static final int ECOL_COPY_NORESOURCES = 15017;
	/* Resouces not available to complete operation  */

	public static final int ECOL_COPY_NOSPACE = 15023;
	/* Not enough space for operation  */

	public static final int ECOL_COPY_VOLOFFLINE = 15019;
	/* Volume offline  */

	public static final int ECOL_STATUS_COPYIDNOTFOUND = 15026;
	/* Copy ID doesn't exist  */

	public static final int ECOL_STATUS_INTERNALERROR = 15027;
	/* Internal error during status  */

	public static final int ECOL_STATUS_INVALIDINPUTERROR = 15025;
	/* Bad input to status zapi  */

	public static final int ECOMPLIANCECLOCKNOTSET = 14522;
	/* Compliance clock has not been initialised.  */

	public static final int ECOMPRESSCLONEINPROG = 15612;
	/* Enabling compression on volume is not allowed while clone operation is in progress.  */

	public static final int ECOMPRESSING = 15608;
	/* Compression of existing data is currently active on the volume.  */

	public static final int ECOMPRESSIONGATHERER = 15610;
	/* A-SIS gathering operation is active on volume, compression of existing data is not allowed to proceed.  */

	public static final int ECOMPSHARINGBEYONDLIMIT = 15611;
	/* Shared data beyond limit, may cause large amount of extra space usage.  */

	public static final int ECORALSET_ONLINE_FAILED = 15550;
	/* Unable to online striped volume.  */

	public static final int ECOREDUMPBUSY = 14101;
	/* Coredump is busy with another operation  */

	public static final int ECOREDUMPNOTINITIALIZED = 14102;
	/* System was boot in an uninitialized mode  */

	public static final int EDATAUNRECOVERABLE = 302;
	/* Unrecoverable data error  */

	public static final int EDATENOTSETONPARTNER = 14524;
	/* Date can't be set on host as it will be eventually overridden by partner's date.  */

	public static final int EDENSE_CG_MISMATCH = 15854;
	/* Unaligned CG sharing.  */

	public static final int EDENSE_CIFS_HOLE_RERVD = 14544;
	/* The recipient file has cifs hole reservation.  */

	public static final int EDENSE_CLONE_CFILE_ATTR = 14569;
	/* Error in getting attribute of the clone file.  */

	public static final int EDENSE_CLONE_CFILE_NONEXIST = 14557;
	/* Clone file does not exist.  */

	public static final int EDENSE_CLONE_CFILE_WRITE = 14577;
	/* Error in writing clone file.  */

	public static final int EDENSE_CLONE_CHANGELOG_OFF = 14622;
	/* Change logging is off on the volume.  */

	public static final int EDENSE_CLONE_CREATE = 14579;
	/* Could not create clone file.  */

	public static final int EDENSE_CLONE_DECOMP_ACTIVE = 14902;
	/* Clone operation cannot proceed while decompression is in progress.  */

	public static final int EDENSE_CLONE_DEL_INFO = 14593;
	/* Error in deleting dense clone info.  */

	public static final int EDENSE_CLONE_DEST_OUTOF_RANGE = 14586;
	/* Destination block range out of file.  */

	public static final int EDENSE_CLONE_DIFF_VOLUME = 14560;
	/* Either source or destination file is in different volume.  */

	public static final int EDENSE_CLONE_DIR_FH = 14625;
	/* Error in getting file handle of the clone file's directory.  */

	public static final int EDENSE_CLONE_DST_VFACCESS = 14639;
	/* vFiler does not have access to the destination path.  */

	public static final int EDENSE_CLONE_EXIST = 14570;
	/* Clone file already exists.  */

	public static final int EDENSE_CLONE_EXISTING_OP = 14621;
	/* Clone operation with same arguments is already running.  */

	public static final int EDENSE_CLONE_FH = 14578;
	/* Error in getting file handle of the clone file.  */

	public static final int EDENSE_CLONE_FILE_FOLD_INPROG = 14618;
	/* File folding is in progress on the volume.  */

	public static final int EDENSE_CLONE_GET_SNAPID = 14599;
	/* Error in getting snapid of the snapshot used for cloning.  */

	public static final int EDENSE_CLONE_INVALID_CLONE = 14597;
	/* Invalid clone file.  */

	public static final int EDENSE_CLONE_INVALID_DIR = 14612;
	/* Directory does not exit.  */

	public static final int EDENSE_CLONE_INVALID_ID = 14615;
	/* Invalid clone ID.  */

	public static final int EDENSE_CLONE_INVALID_RANGE = 14588;
	/* Invalid block range.  */

	public static final int EDENSE_CLONE_INVALID_SOURCE = 14596;
	/* Invalid source file.  */

	public static final int EDENSE_CLONE_INVALID_UUID = 14620;
	/* Invalid volume UUID.  */

	public static final int EDENSE_CLONE_IN_PROG = 14563;
	/* Dense clone operation is running.  */

	public static final int EDENSE_CLONE_LARGE_INFO = 14614;
	/* The clone information is too big to save persistently.  */

	public static final int EDENSE_CLONE_LICENSE_EXPIRED = 14617;
	/* FlexClone license has expired.  */

	public static final int EDENSE_CLONE_MAX_OPS_FILER = 14626;
	/* Maximum concurrent clone operations already running on the filer.  */

	public static final int EDENSE_CLONE_MAX_OPS_VFILER = 14637;
	/* Maximum concurrent clone operations already running in the vfiler context.  */

	public static final int EDENSE_CLONE_MAX_OPS_VOL = 14611;
	/* Maximum concurrent clone operations already running on the volume.  */

	public static final int EDENSE_CLONE_METAFILE = 14571;
	/* Could not create dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_ATTR = 14574;
	/* Error in getting attribute of dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_FH = 14572;
	/* Could not get file handle of dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_READ = 14575;
	/* Error in reading dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_VER_MISMATCH = 14627;
	/* Version number of metafile is unexpected  */

	public static final int EDENSE_CLONE_METAFILE_WRITE = 14573;
	/* Could not write to dense clone metafile.  */

	public static final int EDENSE_CLONE_NOT_FAILED = 14592;
	/* Not a failed clone operations.  */

	public static final int EDENSE_CLONE_NOT_LICENSED = 14616;
	/* FlexClone not licensed.  */

	public static final int EDENSE_CLONE_NOT_QTREE_ROOT = 14613;
	/* Directory in not qtree root.  */

	public static final int EDENSE_CLONE_NOT_RUNNING = 14590;
	/* The clone operation is not running.  */

	public static final int EDENSE_CLONE_NOT_SUPP = 14582;
	/* The clone operation is not supproted.  */

	public static final int EDENSE_CLONE_NO_ARGS = 14559;
	/* There is no argument specified.  */

	public static final int EDENSE_CLONE_NO_OP = 14591;
	/* No such clone operation.  */

	public static final int EDENSE_CLONE_NO_SLOT = 14558;
	/* No free slot to log clone operation.  */

	public static final int EDENSE_CLONE_OVERLAP_RANGE = 14587;
	/* Source and destination block ranges are overlapping.  */

	public static final int EDENSE_CLONE_PENDING_SNAP = 14594;
	/* Pending snapshot creation on the volume.  */

	public static final int EDENSE_CLONE_PROC = 14583;
	/* Failed to create dense clone process.  */

	public static final int EDENSE_CLONE_RUNNING_OP = 14589;
	/* The clone operation is running.  */

	public static final int EDENSE_CLONE_SAME_FILE = 14561;
	/* Source and destination files are same.  */

	public static final int EDENSE_CLONE_SETATTR = 14580;
	/* Could not set attribute for clone file.  */

	public static final int EDENSE_CLONE_SFILE_ATTR = 14568;
	/* Error in getting attribute of the source file.  */

	public static final int EDENSE_CLONE_SFILE_NONEXIST = 14556;
	/* Source file does not exist.  */

	public static final int EDENSE_CLONE_SFILE_READ = 14576;
	/* Error in reading source file.  */

	public static final int EDENSE_CLONE_SFSR_INPROG = 14529;
	/* SFSR is in progress on the volume.  */

	public static final int EDENSE_CLONE_SMALL_DATA = 14600;
	/* Data is too small for cloning.  */

	public static final int EDENSE_CLONE_SNAPNAME = 14564;
	/* Snap name could not be calculated.  */

	public static final int EDENSE_CLONE_SNAPPATH = 14565;
	/* Snap path could not be calculated.  */

	public static final int EDENSE_CLONE_SNAP_ATTR = 14567;
	/* Error in getting attribute of the source file the snapshot.  */

	public static final int EDENSE_CLONE_SNAP_DEL = 14598;
	/* Snapshot used for cloning has been deleted.  */

	public static final int EDENSE_CLONE_SNAP_FH = 14566;
	/* Error in getting file handle of the source file in snapshot.  */

	public static final int EDENSE_CLONE_SOURCE_FH = 14581;
	/* Error in getting file handle of the source file.  */

	public static final int EDENSE_CLONE_SPLITTING = 14554;
	/* Clone split is running on the volume.  */

	public static final int EDENSE_CLONE_SPLIT_MAP = 14595;
	/* Volume split blockmap upgrade is in progress.  */

	public static final int EDENSE_CLONE_SRC_OUTOF_RANGE = 14585;
	/* Source block range out of file.  */

	public static final int EDENSE_CLONE_SRC_VFACCESS = 14638;
	/* vFiler does not have access to the source path.  */

	public static final int EDENSE_CLONE_STOPPED = 14555;
	/* Clone operation aborted by user.  */

	public static final int EDENSE_CLONE_SUB_COMPRESSION = 14901;
	/* Sub file/LUN clone operation not supported on compressed volumes.  */

	public static final int EDENSE_CLONE_TYPE_SUPP = 14584;
	/* This source file type is not supported.  */

	public static final int EDENSE_CLONE_VFILER_NOT_RUNNING = 14640;
	/* vFiler is not running.  */

	public static final int EDENSE_CLONE_VOL_REVERTING = 14562;
	/* Dense revert is in progress on the volume.  */

	public static final int EDENSE_CLONE_WORM_VOL = 14619;
	/* Volume is a SnapLock volume.  */

	public static final int EDENSE_COMPRESSION_NOT_DISABLED = 15874;
	/* Compression is not disabled  */

	public static final int EDENSE_COMP_SCAN_ACTIVE = 14900;
	/* Compression of existing data is active, A-SIS gatherer operation cannot proceed.  */

	public static final int EDENSE_CONCURRENT_LIMIT = 15875;
	/* Too many concurrent operations  */

	public static final int EDENSE_DEDUPE_NOT_DISABLED = 15873;
	/* Deduplication is not disabled  */

	public static final int EDENSE_DONOR_RANGE = 14550;
	/* Donor file is out of range.  */

	public static final int EDENSE_DONOR_TOO_SMALL = 14545;
	/* The donor file is too small.  */

	public static final int EDENSE_FAILOVER = 14549;
	/* System is doing takeover or giveback.  */

	public static final int EDENSE_IRON_RUNNING = 14528;
	/* WAFL_Iron is running.  */

	public static final int EDENSE_NLCSR_INPROG = 14530;
	/* New style lun clone split is running.  */

	public static final int EDENSE_NON_SUPPORTED_PLATFORM = 14623;
	/* Dense volume is not supported on this platform.  */

	public static final int EDENSE_NO_SPACE = 14547;
	/* Not enough disk space for the operation.  */

	public static final int EDENSE_QUOTA_CHECK = 14552;
	/* Quota check fails.  */

	public static final int EDENSE_RECIPIENT_TOO_SMALL = 14546;
	/* The recipient file is too small.  */

	public static final int EDENSE_RECPT_RANGE = 14551;
	/* Recipient file is out of range.  */

	public static final int EDENSE_REVERTING = 14527;
	/* Revert is in progress.  */

	public static final int EDENSE_SHUTDOWN = 14548;
	/* System is shutting down.  */

	public static final int EDENSE_SNAPSHOT_CREATE = 14537;
	/* Snapshot creation failed.  */

	public static final int EDENSE_SNAPSHOT_DELETE = 14538;
	/* Snapshot deletion failed.  */

	public static final int EDENSE_SNAPSHOT_NONEXIST = 14539;
	/* Snapshot does not exist.  */

	public static final int EDENSE_STALE_CLONE_DIR_INODE = 14624;
	/* Stale clone file's directory inode.  */

	public static final int EDENSE_STALE_DBUF = 14542;
	/* Donor block no longer exists.  */

	public static final int EDENSE_STALE_DINODE = 14540;
	/* Stale donor inode.  */

	public static final int EDENSE_STALE_RBUF = 14543;
	/* Recipient block no longer exists.  */

	public static final int EDENSE_STALE_RINODE = 14541;
	/* Stale recipient inode.  */

	public static final int EDENSE_UNKNOWN = 14628;
	/* Unknown error code  */

	public static final int EDENSE_UNSUPPORTED_VOLTYPE = 14553;
	/* Dense is not supported on this volume Type.  */

	public static final int EDENSE_VDISK_DST_INVALID_BLOCK_RANGE = 14609;
	/* Invalid destination block range.  */

	public static final int EDENSE_VDISK_INTERNAL_ERROR = 14604;
	/* Vdisk operation failure.  */

	public static final int EDENSE_VDISK_INVALID_FH = 14605;
	/* Invalid vdisk file handle.  */

	public static final int EDENSE_VDISK_INVALID_NAME = 14601;
	/* Invalid vdisk name.  */

	public static final int EDENSE_VDISK_LBA_OFFSET_MISALIGNED = 14607;
	/* Source and destination lba are not offset aligned.  */

	public static final int EDENSE_VDISK_NOT_IN_QTREE_ROOT = 14602;
	/* Vdisk not in qtree root.  */

	public static final int EDENSE_VDISK_NO_SUCH_VDISK = 14606;
	/* Vdisk does not exist.  */

	public static final int EDENSE_VDISK_SRC_INVALID_BLOCK_RANGE = 14608;
	/* Invalid source block range.  */

	public static final int EDENSE_VDISK_SRC_LUN_CLONE = 14610;
	/* Source LUN is a LUN clone backed by snapshot.  */

	public static final int EDENSE_VDISK_VOL_SPARSE_WO_SCSI = 14603;
	/* Volume is sparse and disallows SCSI.  */

	public static final int EDENSE_VFILER_CUTOVER = 14641;
	/* Storage path is part of vFiler migration. */

	public static final int EDENSE_VOL_COMPRESSED = 15853;
	/* Dense volume is compressed  */

	public static final int EDENSE_VOL_NONEXIST = 14531;
	/* Volume does not exist.  */

	public static final int EDENSE_VOL_NOTSUP = 14533;
	/* Volume type has to be Flexvol.  */

	public static final int EDENSE_VOL_NOT_TRANSITIONED = 15884;
	/* Volume has not been transitioned to Cluster-Mode  */

	public static final int EDENSE_VOL_OFFLINE = 14532;
	/* Volume is offline.  */

	public static final int EDENSE_VOL_RDONLY = 14534;
	/* Volume is read-only.  */

	public static final int EDENSE_VOL_RESTRICTED = 14536;
	/* Volume is restricted.  */

	public static final int EDENSE_VOL_TRANSITING = 14535;
	/* Volume state transition is in progress.  */

	public static final int EDEST_ISNOT_DP_VOLUME = 17114;
	/* Destination  volume specified is not a data protection volume  */

	public static final int EDEST_ISNOT_LOCAL_VOLUME = 17101;
	/* SnapMirror destination volume is not on local cluster  */

	public static final int EDEST_ISNOT_LS_VOLUME = 17111;
	/* Destination  volume specified is not a load-sharing volume  */

	public static final int EDEST_IS_CACHE_VOLUME = 17119;
	/* Destination  volume specified is a cache volume  */

	public static final int EDEST_IS_EXISTING_DEST_VOLUME = 17113;
	/* Destination  volume specified is destination volume of another SnapMirror relationship  */

	public static final int EDEST_IS_EXISTING_SOURCE_VOLUME = 17112;
	/* Destination  volume specified is source volume of another SnapMirror relationship  */

	public static final int EDEST_IS_LS_VOLUME = 17142;
	/* Destination volume specified is a load-sharing volume  */

	public static final int EDEST_IS_RW_VOLUME = 17115;
	/* Destination  volume specified is a read-write volume  */

	public static final int EDEST_IS_STRIPED_VOLUME = 17121;
	/* Destination  volume specified is striped  */

	public static final int EDEST_IS_VOLUME_CLONE = 17162;
	/* Destination specified is a volume clone.  */

	public static final int EDEST_LS_VOLUME_CURRENT = 17132;
	/* Load-sharing destination volume is current  */

	public static final int EDEST_MIRROR_ENGINE_INCOMPATIBLE = 17138;
	/* Replication engine on the destination is incompatible with replication engine on source  */

	public static final int EDEST_VOLUME_HAS_CACHE = 17118;
	/* Destination  volume specified has a cache  */

	public static final int EDEST_VOLUME_IN_LS_RELATION = 17116;
	/* Destination  volume specified is already in load-sharing relationship  */

	public static final int EDEST_VOLUME_NOT_EMPTY = 17117;
	/* Destination  volume specified is not empty  */

	public static final int EDEST_VOLUME_NOT_INITIALIZED = 17120;
	/* Destination  volume specified is not initialized  */

	public static final int EDEST_VOLUME_OFFLINE = 17133;
	/* Destination volume is offline  */

	public static final int EDEST_VOL_LOCKED = 18020;
	/* Destination volume is locked  */

	public static final int EDISKASSIGNFAIL = 16016;
	/* Disk assign failed as one or more disks have configuration errors.  */

	public static final int EDISKFAILED = 17156;
	/* Disk in failed state  */

	public static final int EDISKINRAIDZEROVOL = 13153;
	/* Disk belongs to RAID-0 volume.  */

	public static final int EDISKISSPARE = 13154;
	/* Disk is not a file system disk, it is a spare.  */

	public static final int EDISKNOTFOUND = 13150;
	/* Disk not found.  */

	public static final int EDISKNOTSPARE = 13510;
	/* Disk is not a spare.  */

	public static final int EDISKTOOSMALL = 13511;
	/* Disk is not of appropriate size for the operation.  */

	public static final int EDISKTYPEWRONGFORSNAPLOCK = 14700;
	/* Wrong disk type for creating snaplock aggregates.  */

	public static final int EDISKTYPEWRONGFORVOL = 14701;
	/* Wrong disk type for creating traditional volumes.  */

	public static final int EDISK_TYPE_MISMATCH = 14702;
	/* Unable to add conflicting disk type.  */

	public static final int EDNSNOTENABLED = 13165;
	/* Occurs when the DNS is not enabled.  */

	public static final int EDSIDPARSEERROR = 13623;
	/* The dsid input is invalid  */

	public static final int EDUPLICATEDSID = 13026;
	/* New DSID for snapshot or volume is already in use.  */

	public static final int EEMPTY_VOLUMES = 17125;
	/* Source and destination volumes are empty  */

	public static final int EEMS_INVOKE_BAD_PARAM = 13303;
	/* One of the passed in parameters was invalid  */

	public static final int EEMS_INVOKE_FAILED = 13301;
	/* Ems invoke failed for an unspecified reason  */

	public static final int EEMS_INVOKE_ID_BAD = 13310;
	/* EMS invoke failed to find an event matching eventId  */

	public static final int EEMS_INVOKE_NVRAM_TOO_BIG = 13318;
	/* This event is too big to be protected by nvram  */

	public static final int EEMS_INVOKE_PARAMS_INSUFFICIENT = 13314;
	/* Not enough parameters were passed in to invoke this event  */

	public static final int EEMS_INVOKE_QUEUE_FULL = 13319;
	/* This event wasn't forwarded because there was no room to enqueue it  */

	public static final int EEMS_INVOKE_SEVERITY_INVALID = 13312;
	/* The name of the severity level is not valid  */

	public static final int EEMS_INVOKE_SEVERITY_NOT_VARIABLE = 13313;
	/* This event is a fixed severity event  */

	public static final int EEMS_INVOKE_SEVERITY_REQUIRED = 13311;
	/* The event requires severity level to be specified  */

	public static final int EEMS_INVOKE_SUPRESS_DUP = 13316;
	/* The event was dropped because it was a duplicate of the last event on the event queue  */

	public static final int EEMS_INVOKE_SUPRESS_TIMER = 13317;
	/* The event was suppressed because of its timer attribute  */

	public static final int EEMS_INVOKE_VERSION_INVALID = 13315;
	/* The specified version is not a valid version.  */

	public static final int EEXPORTSINCOMPATIBLE = 13215;
	/* Exports cannot be accessed using this version of the XML.  */

	public static final int EFAILOVER = 17141;
	/* Error due to failover  */

	public static final int EFCMON_GENERATION = 16019;
	/* Generation id in set request does not match database  */

	public static final int EFCMON_INVALID_CONFIG = 16020;
	/* At least one parameter is not valid and/or out of range  */

	public static final int EFIJIINVALID = 14401;
	/* Invalid fiji operation  */

	public static final int EFIJIINVALIDEXPR = 14402;
	/* Invalid fiji expression specified  */

	public static final int EFIJIMAXFILTERS = 14404;
	/* Fiji filter could not be inserted as we have reached the system limit  */

	public static final int EFIJINOFILTER = 14403;
	/* Fiji filter was not found for the given index  */

	public static final int EFILEEXISTS = 14003;
	/* Non-junction file already exists.  */

	public static final int EFILEIO = 1000;
	/* File IO error  */

	public static final int EFILENOTFOUND = 13113;
	/* File not found.  */

	public static final int EFILER_NOT_HEALTHY = 14007;
	/* Node is not healthy.  */

	public static final int EHALTING = 13923;
	/* The system is halting.  */

	public static final int EHALTNOTAKEOVER = 13918;
	/* The HA partner has been halted in no-takeover mode.  */

	public static final int EHOSTNOTFOUND = 13166;
	/* Occurs when the host name can't be resolved by DNS.  */

	public static final int EHOST_BADCONFIGURE = 1005;
	/* Name lookup configuration error  */

	public static final int EHOST_MISC = 1007;
	/* Miscellaneous error in name lookup  */

	public static final int EHOST_TRYAGAIN = 1006;
	/* Cannot resolve host name due to temporary error condition  */

	public static final int EI2PNOTENABLED = 13221;
	/* The volume option is disabled for inode to parent mappings.  */

	public static final int EILLEGAL_INODE_CHECK = 15013;
	/* The inode number is invalid  */

	public static final int EINCRCOPYAGAIN = 13618;
	/* Try again  */

	public static final int EINCRCOPYDUPLICATESESSION = 13611;
	/* Duplicate session  */

	public static final int EINCRCOPYFAILED = 13604;
	/* Incremental Copy failed  */

	public static final int EINCRCOPYINVALIDINPUT = 13609;
	/* Invalid input param  */

	public static final int EINCRCOPYINVALIDOP = 13607;
	/* Invalid operation  */

	public static final int EINCRCOPYINVALIDOPTYPE = 13610;
	/* Invalid operation type  */

	public static final int EINCRCOPYINVALIDUUID = 13606;
	/* Invalid UUID format  */

	public static final int EINCRCOPYNOMEM = 13608;
	/* Out of memory  */

	public static final int EINCRCOPYNOSTREAMESTABLISHED = 13617;
	/* No incremental session is established  */

	public static final int EINCRCOPYNOTSUPPORT = 13612;
	/* Operation/Transport/Scanner not supported  */

	public static final int EINCRCOPYOPNOTFOUND = 13605;
	/* Could not find Incremental Copy Op  */

	public static final int EINCRCOPYSNAPCREATIONFAIL = 13615;
	/* Snapshot creation failed  */

	public static final int EINCRCOPYSNAPSHOTEXIST = 13616;
	/* Snapshot exists  */

	public static final int EINCRCOPYVOLNOTFOUND = 13614;
	/* Volume not found  */

	public static final int EINCRCOPYVOLOFFLINE = 13613;
	/* Volume offline  */

	public static final int EINCRCOPY_CSM_CALL_FAIL = 13619;
	/* CSM response call fails  */

	public static final int EINCRCOPY_CSM_CANT_GET_SESSION = 13621;
	/* CSM can't get session  */

	public static final int EINCRCOPY_CSM_CANT_REGISTER_SENDCB = 13622;
	/* CSM can't register send callback  */

	public static final int EINCRCOPY_CSM_SEND_FAIL = 13620;
	/* CSM send fail  */

	public static final int EINCRCOPY_DUMPS_RUNNING = 13627;
	/* Dumps running on the volume being moved  */

	public static final int EINCRCOPY_RESTORE_RUNNING = 13628;
	/* Restore running on the volume being moved  */

	public static final int EINCRCOPY_SET_INCORE_QUIESCE_VOL_FAIL = 13624;
	/* incore quiesce volume fail  */

	public static final int EINCRCOPY_SET_ONDISK_QUIESCE_VOL_FAIL = 13626;
	/* ondisk quiesce volume fail  */

	public static final int EINCRCOPY_UNSET_INCORE_QUIESCE_VOL_FAIL = 13625;
	/* incore unquiesce volume fail  */

	public static final int EINELIGIBLEINODE = 13219;
	/* The inode's type does not support inode to parent mappings.  */

	public static final int EINODENUMBERTOOLARGE = 13217;
	/* Inode number is larger than supported by the volume.  */

	public static final int EINODENUMBERTOOSMALL = 13216;
	/* Inode number is too small.  */

	public static final int EINTAKEOVER = 13953;
	/* Can't disable takeover service while in takeover.  */

	public static final int EINTENTLOG_READ_FAILED = 15004;
	/* An error occured while obtaining intentlog records from striped volume.  */

	public static final int EINTERCONNECTERROR = 13911;
	/* Takeover is not possible due to an Interconnect error.  */

	public static final int EINTERCONNECTRESET = 13948;
	/* A reset of the HA interconnect is in progress.  */

	public static final int EINTERFACENOTFOUND = 14634;
	/* Given Interface name was not be found.  */

	public static final int EINTERNALERROR = 13114;
	/* Internal error.  */

	public static final int EINVALIDACCESS = 16035;
	/* Invalid access  */

	public static final int EINVALIDAPPLICATION = 16032;
	/* Invalid application  */

	public static final int EINVALIDCMDDIRNAME = 16041;
	/* Invalid command directory name  */

	public static final int EINVALIDDSID = 13027;
	/* Value is not a legal DSID.  */

	public static final int EINVALIDHOST = 13211;
	/* Invalid host.  */

	public static final int EINVALIDINODE = 13218;
	/* There is no inode which matches the inode number.  */

	public static final int EINVALIDINPUTERROR = 13115;
	/* Invalid input.  */

	public static final int EINVALIDMSID = 13028;
	/* Value is not a legal MSID.  */

	public static final int EINVALIDOUTPUTERROR = 14514;
	/* One or more output elements does not match the API specification.  */

	public static final int EINVALIDOWNER = 13213;
	/* Invalid/unable to determine owner.  */

	public static final int EINVALIDOWNERID = 13212;
	/* Invalid/unable to determine owner ID (serial number).  */

	public static final int EINVALIDPASSWORD = 13214;
	/* Password does not conform to filer conventions.  */

	public static final int EINVALIDPATH = 14920;
	/* No path found with the given initator and target information.  */

	public static final int EINVALIDQUERY = 16042;
	/* Invalid query  */

	public static final int EINVALIDRESERVATION = 14000;
	/* The specified filer does not own the reservation on the drive.  */

	public static final int EINVALIDROLENAME = 16040;
	/* Invalid role name  */

	public static final int EINVALIDROUTE = 14630;
	/* Wrong parameters given for route entry.  */

	public static final int EINVALIDSTATE = 13514;
	/* Object is in invalid state for requested operation  */

	public static final int EINVALIDTAG = 14633;
	/* Invalid Vlan Tag Number.  */

	public static final int EINVALIDTARGET = 16505;
	/* The given Target WWPN does not exist.  */

	public static final int EINVALIDTIMEZONE = 14519;
	/* Timezone name provided is invalid  */

	public static final int EINVALIDUSERNAME = 16030;
	/* Invalid username  */

	public static final int EINVALID_HA_POLICY = 15678;
	/* Invalid HA Policy  */

	public static final int EINVENTORYMISMATCH = 17002;
	/* Disk inventory is mismatched  */

	public static final int EIOCTLERROR = 1019;
	/* Error occured in ioctl function.  */

	public static final int EIPSPACEDOESNOTEXIST = 14636;
	/* Queried IP space not to be found.  */

	public static final int EIPSPACEEXISTS = 14635;
	/* Given IP space alreday present.  */

	public static final int EIPSPACENOTFOUND = 13073;
	/* The ipspace was not found.  */

	public static final int EIPV6 = 1001;
	/* IPV6 is not supported for this operation.  */

	public static final int EIRON_NOT_OPTCOMMIT = 15851;
	/* Wafliron is not running in optional commit mode.  */

	public static final int EIRON_NOT_RUNNING = 15652;
	/* wafliron is not currently active.  */

	public static final int EIRON_OC_DISALLOWED = 15653;
	/* Please offline the volume before running wafliron in optional commit mode.  */

	public static final int EIRON_PREV_CP_DISALLOWED = 15654;
	/* Please offline the volume before running prev_cp.  */

	public static final int EIRON_QTREE_READONLY = 15655;
	/* Volumes containing readonly qtrees cannot be checked using wafliron.  */

	public static final int EIRON_ROOT_AGGR_DISALLOWED = 15656;
	/* The traditional volume or the aggregate containing the root volume cannot be checked online. Use WAFL_check or wafliron from the boot prompt.  */

	public static final int EIRON_SCANS_DISALLOWED = 15657;
	/* wafliron scans are currently disallowed.  */

	public static final int EIRON_SPARSE_VOL_NOT_ONLINE = 15658;
	/* wafliron cannot start because one or more of the sparse volumes that this aggregate contains are offline. Either online these volumes or destroy them before trying wafliron again.  */

	public static final int EIRON_STARTING = 15659;
	/* wafliron is in the process of starting.  */

	public static final int EIRON_STOP_IN_PROGRESS = 15660;
	/* Another wafliron abort is in progress.  */

	public static final int EIRON_STREAM_DIR_UPGRADE = 15650;
	/* Cannot run wafliron on a partially upgraded volume.  */

	public static final int EIRON_UPGRADE_DISALLOWED = 15651;
	/* Cannot upgrade the volume using wafliron.  */

	public static final int EISCSISECINITNOTFOUNDERROR = 13112;
	/* iSCSI initiator not found error.  */

	public static final int EISCSISECINVALIDAUTHTYPE = 13109;
	/* iSCSI invalid auth type  */

	public static final int EISCSISECINVALIDINPUTERROR = 13110;
	/* iSCSI invalid input error.  */

	public static final int EISCSISECPROCESSINGERROR = 13111;
	/* iSCSI processing internal error.  */

	public static final int EJUNCTIONDOESNOTEXIST = 14005;
	/* Junction does not exist.  */

	public static final int EJUNCTIONEXISTS = 14004;
	/* Junction already exists.  */

	public static final int EJUNCTION_CREATE_FAILED = 14715;
	/* Unable to create junction.  */

	public static final int EJUNCTION_DELETE_FAILED = 14718;
	/* Unable to delete junction.  */

	public static final int ELDAPSVRNOTFOUND = 13167;
	/* Occurs when the LDAP server can't be located.  */

	public static final int ELOCALREVERT = 13915;
	/* The system is performing a revert.  */

	public static final int ELOGROTATIONACTIVE = 14499;
	/* The log rotation process is active.  */

	public static final int ELOOPBACK = 1009;
	/* Operation not supported on lo, vi or losk interfaces.  */

	public static final int ELOOPUNAVAILABLE = 14425;
	/* The request was for a loop that is currently offline.   */

	public static final int ELOWMEMORY = 13922;
	/* Low memory condition.  */

	public static final int ELS_SET_DEST_VOLUMES_NOT_CURRENT = 17134;
	/* Destination volumes of the load-sharing set are not current  */

	public static final int ELS_SET_ISNOT_INITIALIZED = 17135;
	/* Load-sharing set is not initialized  */

	public static final int ELUNQUIESCING = 16506;
	/* Quiesce is in progress for this path on the LUN.  */

	public static final int EMAXFILES_TOO_LARGE = 15011;
	/* Maximum file count value is too large.  */

	public static final int EMBOXDEGRADED = 13904;
	/* Partner mailboxes are degraded  */

	public static final int EMBOXUNCERTAIN = 13924;
	/* Partner mailbox is uncertain.  */

	public static final int EMBOXUNKNOWN = 13905;
	/* Partner mailboxes are unknown  */

	public static final int EMBOXVERSIONMISMATCH = 13906;
	/* Partner mailbox version doesn't match local mbox version  */

	public static final int EMCS_NOT_ALLOWED_WITH_LUNS = 15718;
	/* Cannot convert an aggregate with LUNs to mixed checksum aggregate.  */

	public static final int EMODE = 1002;
	/* Attempt to modify cluster mode attribute via 7M operation or vice versa.  */

	public static final int EMULTIPLEOPTSFOUND = 15855;
	/* Option is not unique  */

	public static final int EMULTIPLEVOLSFOUND = 15701;
	/* Volume is not unique.  */

	public static final int EMUSTBEINMAINTMODE = 14002;
	/* The system is not in maintenance mode.  */

	public static final int ENETMASKINVALID = 1018;
	/* Invalid netmask provided for the address.  */

	public static final int ENFS_CLIENT_STATS_NOT_ENABLED = 14424;
	/* Occurs when the option nfs.per-client-stats is not enabled to display the top NFS client statistics.  */

	public static final int ENOACTIVECLIENTS = 13163;
	/* There is no active clients to display the top CIFS or NFS client statistics.  */

	public static final int ENOADAPTERPARTNER = 13126;
	/* Adapter not working on behalf of partner.  */

	public static final int ENOAGGRS = 13927;
	/* There are no suitable aggregates.  */

	public static final int ENOAUTOTAKEOVER = 13925;
	/* Auto-takeover of partner dlbade is not possible.  */

	public static final int ENOCHECK_IN_PROGRESS = 17139;
	/* No check is in progress  */

	public static final int ENODENOTFOUND = 15697;
	/* Specified node not found.  */

	public static final int ENODISKSFOUND = 14001;
	/* No disks were found for the specified owner-id.  */

	public static final int ENOFMMDEVICES = 16017;
	/* There are no devices registered with FMM.  */

	public static final int ENOPARTNERIFC = 1004;
	/* Partner interface configured does not exist on partner.  */

	public static final int ENOPARTNERINVENTORY = 13937;
	/* The partner has not sent it's disk inventory information.  */

	public static final int ENOSNAPSHOT_COPY = 17123;
	/* No common snapshot copy between volumes  */

	public static final int ENOTCLUSTERED = 13128;
	/* System is not part of a cluster pair.  */

	public static final int ENOTDISKOWNER = 13152;
	/* Host is not disk owner.  */

	public static final int ENOTHALTED = 13950;
	/* The HA partner is not halted (NDU takeover).  */

	public static final int ENOTHINGTOTAKEOVER = 13945;
	/* We have already acquired all partner aggregates.  */

	public static final int ENOTIMEZONESET = 14517;
	/* Currently no valid timezone is set in the storage system.  */

	public static final int ENOTIMEZONEVERSION = 14518;
	/* Timezone version is not available for the current timezone.  */

	public static final int ENOTINMAINTMODE = 13017;
	/* Requested function is not available while node is in maintenance mode  */

	public static final int ENOTINREADONLYMODE = 13018;
	/* Requested function is not available while node is booted in read-only mode  */

	public static final int ENOTRANSFER_IN_PROGRESS = 17130;
	/* No SnapMirror transfer is in progress  */

	public static final int ENOTSTARTED = 13014;
	/* Service, adapter, or operation not started.  */

	public static final int ENOTWHILEWAITINGFORGIVEBACK = 13016;
	/* Requested function is not available while node is waiting for giveback  */

	public static final int ENOT_A_AZCS_DISK = 15716;
	/* The specified disk does not have advanced_zoned checksum.  */

	public static final int ENOT_HOMED_TO_PARTNER = 15878;
	/* Aggregate is not owned by the partner  */

	public static final int ENOT_SFO_HA_POLICY = 15879;
	/* Aggregate does not have SFO HA policy  */

	public static final int ENOVIRTUALADAPTERS = 13127;
	/* No virtual adapters were found.  */

	public static final int ENO_AZCS_DISKS = 15717;
	/* The required number of advanced_zoned checksum disks are not available.  */

	public static final int ENPMERXMETA = 13603;
	/* Error in extracting metadata  */

	public static final int ENPMINVPLOC = 13600;
	/* Invalid package location given  */

	public static final int ENPMNOMETA = 13602;
	/* NPM Metadata could not be found  */

	public static final int ENPMNOPKG = 13601;
	/* Software package could not be found  */

	public static final int ENVRAMDOWN = 13947;
	/* Takeover is not available due to lack of communication with partner NVRAM.  */

	public static final int ENVRAMSIZEMISMATCH = 13909;
	/* NVRAM size mismatch.  */

	public static final int EOBJECTNOTFOUND = 15661;
	/* The object specified could not be found.  */

	public static final int EONTAPI_E2BIG = 7;
	/* Argument list too long  */

	public static final int EONTAPI_EACCES = 13;
	/* Permission denied  */

	public static final int EONTAPI_EADDRINUSE = 48;
	/* Address already in use  */

	public static final int EONTAPI_EADDRNOTAVAIL = 49;
	/* Can't assign requested address  */

	public static final int EONTAPI_EADMINOPQUIESCED = 198;
	/* The volume is quiesced for administrative operations  */

	public static final int EONTAPI_EAFNOSUPPORT = 47;
	/* Address family not supported by protocol family  */

	public static final int EONTAPI_EAGAIN = 35;
	/* Resource temporarily unavailable  */

	public static final int EONTAPI_EALREADY = 37;
	/* Operation already in progress  */

	public static final int EONTAPI_EBADCHAR = 101;
	/* CIFS - character in file name not legal in Windows  */

	public static final int EONTAPI_EBADF = 9;
	/* Bad File descriptor  */

	public static final int EONTAPI_EBADOWNER = 107;
	/* Security descriptor has  bad owner  */

	public static final int EONTAPI_EBADPATH = 100;
	/* CIFS - error before last component of path  */

	public static final int EONTAPI_EBADRMT = 109;
	/* RMT protocol response was botched  */

	public static final int EONTAPI_EBADRPC = 72;
	/* RPC struct is bad  */

	public static final int EONTAPI_EBADSTREAM = 82;
	/* Bad stream inode  */

	public static final int EONTAPI_EBADSTREAMDIR = 83;
	/* Bad stream directory inode  */

	public static final int EONTAPI_EBADXINODE = 105;
	/* xinode has a bad format  */

	public static final int EONTAPI_EBUSY = 16;
	/* Device busy  */

	public static final int EONTAPI_ECANNOTDELETE = 151;
	/* CIFS -  STATUS_CANNOT_DELETE  */

	public static final int EONTAPI_ECHILD = 10;
	/* No child process  */

	public static final int EONTAPI_ECOMPRESSCHECK = 143;
	/* WAFL compression checksum mismatch  */

	public static final int EONTAPI_ECONNABORTED = 53;
	/* Software caused connection abort  */

	public static final int EONTAPI_ECONNREFUSED = 61;
	/* Connection refused  */

	public static final int EONTAPI_ECONNRESET = 54;
	/* Connection reset by peer  */

	public static final int EONTAPI_EDEADLK = 11;
	/* Resource deadlock avoided  */

	public static final int EONTAPI_EDELPENDING = 112;
	/* CIFS - delete pending  */

	public static final int EONTAPI_EDESTADDRREQ = 39;
	/* Destination address required  */

	public static final int EONTAPI_EDISABLED = 122;
	/* REGISTRY - disabled  */

	public static final int EONTAPI_EDOM = 33;
	/* Numerical argument out of domain  */

	public static final int EONTAPI_EDQUOT = 69;
	/* Disk quota exceeded  */

	public static final int EONTAPI_EEXIST = 17;
	/* File exists  */

	public static final int EONTAPI_EFABRIC = 124;
	/* Fabric Management error  */

	public static final int EONTAPI_EFAULT = 14;
	/* Bad address  */

	public static final int EONTAPI_EFBIG = 27;
	/* File too large  */

	public static final int EONTAPI_EFTYPE = 79;
	/* Inappropriate file type or format  */

	public static final int EONTAPI_EGSSAPI = 126;
	/* Failure in a gss-api call  */

	public static final int EONTAPI_EHOSTDOWN = 64;
	/* Host is down  */

	public static final int EONTAPI_EHOSTUNREACH = 65;
	/* No route to host  */

	public static final int EONTAPI_EINPROGESS = 36;
	/* Operation now in progress  */

	public static final int EONTAPI_EINTR = 4;
	/* Interrupted system call  */

	public static final int EONTAPI_EINVAL = 22;
	/* Invalid argument  */

	public static final int EONTAPI_EIO = 5;
	/* Input/Output error  */

	public static final int EONTAPI_EISCONN = 56;
	/* Socket is already connected  */

	public static final int EONTAPI_EISDIR = 21;
	/* Is a directory  */

	public static final int EONTAPI_EISVDISK = 140;
	/* Is a VDISK  */

	public static final int EONTAPI_EKNOWNBADRMT = 110;
	/* Something the client sent was wrong  */

	public static final int EONTAPI_ELOADCOMPLETE = 84;
	/* WAFL - replay load phase done  */

	public static final int EONTAPI_ELOCKCANCELLED = 133;
	/* CIFS - waiting byte-range lock cancelled  */

	public static final int EONTAPI_ELOCKCONFLICT = 103;
	/* CIFS - byte-range lock violation  */

	public static final int EONTAPI_ELOOP = 62;
	/* Too many levels of symbolic links  */

	public static final int EONTAPI_EMFILE = 24;
	/* Too many open files  */

	public static final int EONTAPI_EMLINK = 31;
	/* Too many links  */

	public static final int EONTAPI_EMOUNTING = 85;
	/* WAFL - volume is still mounting  */

	public static final int EONTAPI_EMSGNULLIFY = 142;
	/* WAFL - message nullified  */

	public static final int EONTAPI_EMSGSIZE = 40;
	/* Message too long  */

	public static final int EONTAPI_EMTUTOOBIG = 80;
	/* MTU too large  */

	public static final int EONTAPI_ENAMETOOLONG = 63;
	/* File name too long  */

	public static final int EONTAPI_ENETDOWN = 50;
	/* Network is down  */

	public static final int EONTAPI_ENETRESET = 52;
	/* Network dropped connection on reset  */

	public static final int EONTAPI_ENETUNREACH = 51;
	/* Network is unreachable  */

	public static final int EONTAPI_ENFILE = 23;
	/* Too many open files in system  */

	public static final int EONTAPI_ENOBUFS = 55;
	/* No buffer space available  */

	public static final int EONTAPI_ENODEV = 19;
	/* Operation not supported by device  */

	public static final int EONTAPI_ENOENT = 2;
	/* No such file or directory  */

	public static final int EONTAPI_ENOEXEC = 8;
	/* Exec format error  */

	public static final int EONTAPI_ENOLCK = 77;
	/* No locks available  */

	public static final int EONTAPI_ENOMEM = 12;
	/* Cannot allocate memory  */

	public static final int EONTAPI_ENOMORESNAPS = 135;
	/* Cannot exceed maximum number of snapshots  */

	public static final int EONTAPI_ENOPROTOOPT = 42;
	/* Protocol not available  */

	public static final int EONTAPI_ENOQTREE = 131;
	/* No more free qtrees available  */

	public static final int EONTAPI_ENOREG = 149;
	/* REGISTRY - registry is not ready  */

	public static final int EONTAPI_ENOREGKEY = 150;
	/* REGISTRY - registry key does not exist  */

	public static final int EONTAPI_ENOSPC = 28;
	/* No space left on device  */

	public static final int EONTAPI_ENOSPCAGGR = 159;
	/* No space in aggregate for operation  */

	public static final int EONTAPI_ENOSPCSNAP = 134;
	/* No space left on device to create snapshots  */

	public static final int EONTAPI_ENOSYS = 78;
	/* Function not implemented  */

	public static final int EONTAPI_ENOTBLK = 15;
	/* Block device required  */

	public static final int EONTAPI_ENOTCONN = 57;
	/* Socket is not connected  */

	public static final int EONTAPI_ENOTCOVERED = 104;
	/* CIFS -  DFS path not covered  */

	public static final int EONTAPI_ENOTDIR = 20;
	/* Not a directory  */

	public static final int EONTAPI_ENOTEMPTY = 66;
	/* Directory not empty  */

	public static final int EONTAPI_ENOTFSCREENED = 139;
	/* Off-filer file policy screen needed  */

	public static final int EONTAPI_ENOTLOCKED = 132;
	/* CIFS - byte-range lock not found  */

	public static final int EONTAPI_ENOTSOCK = 38;
	/* Socket operation on non-socket  */

	public static final int EONTAPI_ENOTTY = 25;
	/* Inappropriate ioctl for device  */

	public static final int EONTAPI_ENOTVSCANNED = 123;
	/* Off-filer virus scan needed  */

	public static final int EONTAPI_ENOTXINODE = 106;
	/* xinode has a bad format  */

	public static final int EONTAPI_ENXIO = 6;
	/* Device not configured  */

	public static final int EONTAPI_EOFFLINE = 81;
	/* Volume is offline  */

	public static final int EONTAPI_EOPNOTSUPP = 45;
	/* Operation not supported on socket  */

	public static final int EONTAPI_EPARTNERREJECT = 116;
	/* REGISTRY - operation rejected because not allowed on partner  */

	public static final int EONTAPI_EPERM = 1;
	/* Operation not permitted  */

	public static final int EONTAPI_EPERSISTENCE = 120;
	/* REGISTRY - persistence problem  */

	public static final int EONTAPI_EPFNOSUPPORT = 46;
	/* Protocol family not supported  */

	public static final int EONTAPI_EPIPE = 32;
	/* Broken pipe  */

	public static final int EONTAPI_EPROCLIM = 67;
	/* Too many processes  */

	public static final int EONTAPI_EPROCUNAVAIL = 76;
	/* Bad procedure for program  */

	public static final int EONTAPI_EPROGMISMATCH = 75;
	/* Program version wrong  */

	public static final int EONTAPI_EPROGUNAVAIL = 74;
	/* RPC prog. not avail  */

	public static final int EONTAPI_EPROTONOSUPPORT = 43;
	/* Protocol not supported  */

	public static final int EONTAPI_EPROTOTYPE = 41;
	/* Protocol wrong type for socket  */

	public static final int EONTAPI_EPROXYME = 128;
	/* PFS sparse file miss  */

	public static final int EONTAPI_ERANGE = 34;
	/* Result too large  */

	public static final int EONTAPI_EREADONLY = 115;
	/* REGISTRY - currently set to read-only  */

	public static final int EONTAPI_ERECLAIM = 137;
	/* sthread reclaimed  */

	public static final int EONTAPI_ERECURSE = 136;
	/* DNS - fallback from iterative to recursive resolution  */

	public static final int EONTAPI_EREGX = 118;
	/* REGISTRY - error in transaction  */

	public static final int EONTAPI_EREGXBADVALUE = 119;
	/* REGISTRY - bad value rejected  */

	public static final int EONTAPI_EREJECTED = 114;
	/* REGISTRY - rejected set or delete  */

	public static final int EONTAPI_EREMOTE = 71;
	/* Too many levels of remote in path (NFS)  */

	public static final int EONTAPI_ERMTEOF = 111;
	/* Premature EOF  */

	public static final int EONTAPI_ERMTWRITELEN = 108;
	/* Wrote more or less than the requested number of bytes  */

	public static final int EONTAPI_EROFS = 30;
	/* Read-only file system  */

	public static final int EONTAPI_ERPCGSSSEQNUM = 127;
	/* Bad sequence number in gssapi call  */

	public static final int EONTAPI_ERPCMSGDENIED = 73;
	/* RPC version mismatch or authentication error  */

	public static final int EONTAPI_ERSRVCONFLICT = 129;
	/* NDMP Device reservation Conflict  */

	public static final int EONTAPI_ERSRVNSUPPORTED = 130;
	/* NDMP Reservation Not Supported  */

	public static final int EONTAPI_ESHARECONFLICT = 102;
	/* CIFS - share lock violation  */

	public static final int EONTAPI_ESHUTDOWN = 58;
	/* Can't send after socket shutdown  */

	public static final int EONTAPI_ESNAPDIFF_FILENAME_UNAVAILABLE = 14474;
	/* Failed to get an appropriate filename for the requested file access protocol.  */

	public static final int EONTAPI_ESNAPDIFF_FILETYPE_MODIFIED = 14476;
	/* Filetypes of an inode do not match in the snapshots being compared.  */

	public static final int EONTAPI_ESOCKTNOSUPPORT = 44;
	/* Socket type not supported  */

	public static final int EONTAPI_ESPIPE = 29;
	/* Illegal seek  */

	public static final int EONTAPI_ESRCH = 3;
	/* No such process  */

	public static final int EONTAPI_ESTALE = 70;
	/* Stale NFS file handle  */

	public static final int EONTAPI_ESTHREAD = 121;
	/* Netcache sthread was killed  */

	public static final int EONTAPI_ESYSTEMERR = 125;
	/* Used by rpc for errors like  no memory  */

	public static final int EONTAPI_ETIMEDOUT = 60;
	/* Connection timed out  */

	public static final int EONTAPI_ETOOCOMPLEX = 117;
	/* REGISTRY - transaction is too complex  */

	public static final int EONTAPI_ETOOMANYREFS = 59;
	/* Too many references: can't splice  */

	public static final int EONTAPI_ETRUNCATED = 113;
	/* REGISTRY - return value truncated  */

	public static final int EONTAPI_ETXTBSY = 26;
	/* Text file busy  */

	public static final int EONTAPI_EUSERS = 68;
	/* Too many users  */

	public static final int EONTAPI_EVOLBIG = 145;
	/* vvol size too big  */

	public static final int EONTAPI_EVOLNOTFLEX = 147;
	/* Not a flexible volume  */

	public static final int EONTAPI_EVOLOPNOTSUPP = 160;
	/* Volume does not support operation  */

	public static final int EONTAPI_EVOLPAIRED = 146;
	/* Paired vvol size bigger than aggr  */

	public static final int EONTAPI_EVOLSMALL = 144;
	/* vvol size too small  */

	public static final int EONTAPI_EVOLSTALE = 148;
	/* Remote volume is stale  */

	public static final int EONTAPI_EWAFLMSGABORTED = 141;
	/* WAFL - message aborted  */

	public static final int EONTAPI_EWFLUSH = 99;
	/* Unknown NFS error  */

	public static final int EONTAPI_EWORMNOCLOCK = 152;
	/* WORM - Compliance clock is not running  */

	public static final int EONTAPI_EWORMPERIOD = 158;
	/* WORM - SnapLock locked snapshots cannot be renamed  */

	public static final int EONTAPI_EWORMSNAPLOCKED = 156;
	/* WORM - Snapshot is locked by SnapLock  */

	public static final int EONTAPI_EWORMSNAPRENAME = 157;
	/* WORM - SnapLock locked snapshots cannot be renamed  */

	public static final int EONTAPI_EWORMVOLNOTWORM = 155;
	/* WORM - Volume is not a Snaplock volume  */

	public static final int EONTAPI_EWORMVOLSLC = 154;
	/* WORM - Illegal operation on a SLC volume  */

	public static final int EONTAPI_EWORMVOLWORM = 153;
	/* WORM - Illegal operation on a snaplock volume  */

	public static final int EONTAPI_EWRONGSTRIPE = 288;
	/* Operation can not be handled by this striped volume member  */

	public static final int EONTAPI_EXDEV = 18;
	/* Cross-device link  */

	public static final int EONTAPI_EZEROLENREC = 138;
	/* Zero length SSL record recieved  */

	public static final int EONTAPI_VOLTRANS_GOINGHOME = 16510;
	/* The aggregate is going home.  */

	public static final int EONTAPI_VOLTRANS_JOBNOTFOUND = 15870;
	/* The uuid is not found in the active transitions.  */

	public static final int EONTAPI_VOLTRANS_LOG_INVALIDOFFSET = 15871;
	/* An invalid offset was used when trying access logfile.  */

	public static final int EONTAPI_VOLTRANS_LOG_REC_NOTFOUND = 15872;
	/* No records were found in the logfile.  */

	public static final int EONTAPI_VOLTRANS_VOLNOTFOUND = 16511;
	/* Volume not present on this node.  */

	public static final int EOPERATORDENY = 13908;
	/* The operator disabled takeover of the partner  */

	public static final int EOPLOCKRECALLFAILED = 13955;
	/* Recall of oplocks failed!!  */

	public static final int EOPLOCKS_TOO_MANY_RECALLS_PENDING = 15007;
	/* Too many oplock recalls still pending for the volume.  */

	public static final int EOPNOTSUPPORTED = 13012;
	/* Operation not supported.  */

	public static final int EOP_64BIT_UPGRADE_SCANNER_DISABLED = 15912;
	/* The 64-bit upgrade scanner has been administratively disabled.  */

	public static final int EOP_CLUSTER_ATTR_DISALLOWED = 15684;
	/* Operation is disallowed with cluster attribute.  */

	public static final int EOP_DISALLOWED_BRINGING_OFFLINE = 13929;
	/* Operation is not allowed because the volume is being brought offline.  */

	public static final int EOP_DISALLOWED_BRINGING_ONLINE = 13930;
	/* Operation is not allowed because the volume is being brought online.  */

	public static final int EOP_DISALLOWED_DURING_DESTROY = 13931;
	/* Operation is not allowed because the volume is being destroyed.  */

	public static final int EOP_DISALLOWED_DURING_GIVEBACK = 13928;
	/* Operation is not allowed during giveback.  */

	public static final int EOP_DISALLOWED_DURING_REVERT = 13956;
	/* Operation is not allowed because a revert is in progress.  */

	public static final int EOP_DISALLOWED_ON_7MODE_VOL = 15898;
	/* Operation is not allowed on 7-mode volume.  */

	public static final int EOP_DISALLOWED_ON_AGGR_WITH_NODE_VOLS = 15676;
	/* Operation is disallowed on an aggregate with node volumes  */

	public static final int EOP_DISALLOWED_ON_AGGR_WITH_SPARSE_VOL = 16514;
	/* Operation is disallowed on an aggregate with sparse volume(s).  */

	public static final int EOP_DISALLOWED_ON_BACKUP_ACTIVE_VOL = 15895;
	/* Operation is not allowed on backup active volume.  */

	public static final int EOP_DISALLOWED_ON_BUSY_MIRROR = 15892;
	/* Operation is not allowed because the mirror volume is busy.  */

	public static final int EOP_DISALLOWED_ON_CFO_AGGR = 15695;
	/* Operation is disallowed with aggregate with cfo HA policy.  */

	public static final int EOP_DISALLOWED_ON_CLONE_PARENT = 15894;
	/* Operation is not allowed on flexclone parent.  */

	public static final int EOP_DISALLOWED_ON_COMPRESSED_VOL = 15897;
	/* Operation is not allowed on compressed volume.  */

	public static final int EOP_DISALLOWED_ON_LOADSHARING_VOL = 15893;
	/* Operation is not allowed on load sharing destination volume.  */

	public static final int EOP_DISALLOWED_ON_NOT_HOME_AGGR = 15674;
	/* Operation is disallowed on an aggregate which is not home  */

	public static final int EOP_DISALLOWED_ON_ROOT_AGGR = 15675;
	/* Operation is disallowed on a root aggregate  */

	public static final int EOP_DISALLOWED_ON_SFO_AGGR = 15696;
	/* Operation is disallowed with aggregate with sfo HA policy.  */

	public static final int EOP_DISALLOWED_ON_SPARSE_VOL = 16513;
	/* Operation is disallowed on a sparse volume.  */

	public static final int EOP_DISALLOWED_ON_SSD_AGGR = 15715;
	/* Cannot convert a SSD aggregate to a hybrid aggregate.  */

	public static final int EOP_DISALLOWED_ON_STRIPED_AGGR = 15677;
	/* Operation is disallowed on a striped aggregate  */

	public static final int EOP_DISALLOWED_ON_STRIPED_VOL = 15896;
	/* Operation is not allowed on striped volume.  */

	public static final int EOP_DISALLOWED_ON_TRAD = 15863;
	/* Operation is not allowed on traditional volumes  */

	public static final int EOP_DISALLOWED_ON_VOL_ALREADY_ON_AGGR = 15899;
	/* Operation is not allowed since the specified volume already exists on the aggregate.  */

	public static final int EOP_DISALLOWED_VOLUME_FENCED = 13932;
	/* Operation is not allowed because the volume is fenced.  */

	public static final int EOP_DISALLOWED_VOLUME_FROZEN = 13933;
	/* Operation is not allowed because the volume is frozen.  */

	public static final int EOP_DISALLOWED_VOLUME_NEEDED_LAZY_SPCRSRV = 13936;
	/* Operation is temporarily not allowed because the volume is needed for internal cache management.  */

	public static final int EOP_DISALLOWED_VOLUME_OLDLABELS = 13934;
	/* The specified Operation is not allowed in maintenance boot; The volume has an old revision of labels that need to be upgraded for the completion of the operation.  */

	public static final int EOP_ERR_MODE_MISMATCH_OBJ_ORIGINALLY_CLUSTERED = 15682;
	/* This operation is not supported in unclustered deployments of Data ONTAP because the aggregate or volume was created in a clustered deployment.  */

	public static final int EOP_ERR_MODE_MISMATCH_OBJ_ORIGINALLY_UNCLUSTERED = 15683;
	/* This operation is not supported in clustered deployments of Data ONTAP because the aggregate or volume was created in an unclustered deployment.  */

	public static final int EOP_FROM_NONMGR_VSERVER = 17124;
	/* Operation issued from a non-managing vserver  */

	public static final int EPARENTINFONOTLOADED = 13220;
	/* The parent info is missing, it has to yet be loaded.  */

	public static final int EPARENTNOTONLINE = 17003;
	/* Parent volume is not online.  */

	public static final int EPARTNERBOOTING = 13912;
	/* Partner is booting.  */

	public static final int EPARTNERDISABLEDTO = 13907;
	/* Partner disabled takeover.  */

	public static final int EPARTNERDISKONLY = 16515;
	/* Only partner disks can be reassigned  */

	public static final int EPARTNERMISSINGDISKS = 13938;
	/* The partner is missing its disks.  */

	public static final int EPARTNERNOTWAITING = 13926;
	/* The HA partner is not waiting to receive aggregrates.  */

	public static final int EPARTNERREVERT = 13914;
	/* The HA partner is performing a revert.  */

	public static final int EPARTNERTRYINGTAKEOVER = 13916;
	/* The HA partner is trying to takeover.  */

	public static final int EQTREEEXISTS = 13080;
	/* Occurs when you try to create a qtree that already exists.  */

	public static final int EQTREEMAX = 13082;
	/* Occurs when you try to create too many qtrees.  */

	public static final int EQTREENOTOWNER = 13081;
	/* Occurs when you try to create a qtree on a volume you don't own.  */

	public static final int EQTREE_DOES_NOT_EXIST = 15669;
	/* The specified qtree does not exist  */

	public static final int EQTREE_HAS_FILES = 15671;
	/* The qtree has files inside it.  */

	public static final int EQTREE_HAS_SHARES = 15670;
	/* The qtree has CIFS shares  */

	public static final int EQTREE_OPLOCK_GET_FAILED = 15003;
	/* An error occurred while obtaining the oplock mode of a qtree.  */

	public static final int EQTREE_SECURITY_GET_FAILED = 15002;
	/* An error occurred while obtaining the security style of a qtree.  */

	public static final int EQUIESCEFAILED = 16508;
	/* Quiesce failed for this LUN due to an internal error.  */

	public static final int EQUIESCENOTSUPPORTED = 16509;
	/* Quiesce is not supported for RDAC and non MLM devices.  */

	public static final int EQUOTADIRECTIVE = 13054;
	/* Cannot process quota directives in /etc/quotas.  */

	public static final int EQUOTADOESNOTEXIST = 13053;
	/* The quota does not exist when it is expected to exist.  */

	public static final int EQUOTAEXISTS = 13052;
	/* The quota exists when it is not expected to exist.  */

	public static final int EQUOTAINVALID = 13051;
	/* An invalid quota was detected.  Check quota-type, quota-target, volume, and tree.  */

	public static final int EQUOTAPARSEERROR = 13050;
	/* An error occured while parsing a quota entry.  */

	public static final int EQUOTAS_NO_VALID_RULES = 14958;
	/* No valid quota rules for the specifed volume in the vserver's quota policy  */

	public static final int EQUOTAS_OFF = 15673;
	/* Quotas are OFF for the specifed volume  */

	public static final int EQUOTAS_ON = 15672;
	/* Quotas are ON for the specified volume.  */

	public static final int EQUOTAS_OPERATION_MISMATCH = 15680;
	/* Operation was prevented due to a mismatch in the state for the quota operation  */

	public static final int EQUOTA_CONTROL_METAFILE_OPEN = 15009;
	/* Unable to open the quota control metafile  */

	public static final int EQUOTA_CONTROL_METAFILE_READ = 15010;
	/* Unable to read the quota control metafile  */

	public static final int EQUOTA_POLICY_NOT_FOUND = 14959;
	/* Quota policy not found  */

	public static final int ERAIDGROUPDEGRADED = 13512;
	/* RAID group is missing or reconstructing at least one disk.  */

	public static final int ERDB_HA_CANNOT_EXIT_CONFIG = 14306;
	/* RDB HA configuration is in active use; cannot exit now.  */

	public static final int ERDB_HA_CONFIGURED = 14302;
	/* RDB HA has already been configured.  */

	public static final int ERDB_HA_CONFIG_UUID_MISMATCH = 14305;
	/* The RDB HA configuration uuid does not match the presented uuid.  */

	public static final int ERDB_HA_FAILURE = 14311;
	/* RDB HA agent internal error.  */

	public static final int ERDB_HA_ID_MISMATCH = 14301;
	/* Local/partner system ids don't match the SF info.  */

	public static final int ERDB_HA_ILLEGAL_SLOT_CONTENT = 14312;
	/* RDB HA slot content does not contain a valid uuid.  */

	public static final int ERDB_HA_INVALID_INPUT = 14310;
	/* The input data is invalid.  */

	public static final int ERDB_HA_INVALID_SLOT = 14308;
	/* The slot provided is outside the range of valid slot numbers.  */

	public static final int ERDB_HA_IO_ERROR = 14307;
	/* RDB HA encountered an IO error.  */

	public static final int ERDB_HA_NOT_CONFIGURED = 14304;
	/* RDB HA is not configured.  */

	public static final int ERDB_HA_OLD_COOKIE = 14309;
	/* The cookie presented is older than the current cookie.  */

	public static final int ERDB_HA_PARTIALLY_CONFIGURED = 14303;
	/* RDB HA is partially configured.  */

	public static final int ERDB_HA_QUIESCENT_PERIOD = 14314;
	/* RDB HA is in a forced quiescent period during a configuration change.  */

	public static final int ERDB_HA_SF_NOT_INITIALIZED = 14300;
	/* SF has not been initialized.  */

	public static final int ERDB_HA_SLOT_UUID_MISMATCH = 14313;
	/* RDB HA slot UUID does not match that of its peer.  */

	public static final int EREALLOCATE_BADPATH = 13502;
	/* An invalid path was specified for a reallocation scan.  */

	public static final int EREALLOCATE_BADSCHED = 13507;
	/* An invalid schedule was specified for a reallocation scan.  */

	public static final int EREALLOCATE_BADVOL = 13505;
	/* The volume was not found for the reallocation scan.  */

	public static final int EREALLOCATE_EXISTS = 13501;
	/* A reallocation scan already exists  */

	public static final int EREALLOCATE_NOMEM = 13503;
	/* No memory is available to start a reallocation scan.  */

	public static final int EREALLOCATE_NOSCAN = 13504;
	/* No such reallocation scan exists.  */

	public static final int EREALLOCATE_OFF = 13508;
	/* Reallocation scans are disabled  */

	public static final int EREALLOCATE_READONLY = 13506;
	/* The path or volume for a reallocation scan is readonly.  */

	public static final int EREALLOCATE_SNAPSHOT = 13509;
	/* Snapshots exist on the volume.  */

	public static final int ERELATION_EXISTS = 17122;
	/* SnapMirror relationship already exists  */

	public static final int ERELATION_IS_QUIESCED = 17128;
	/* SnapMirror relationship is quiesced  */

	public static final int ERELATION_NOT_QUIESCED = 17127;
	/* SnapMirror relationship is not quiesced  */

	public static final int ERESOURCEINUSE = 15704;
	public static final int ERESUMEFAILED = 16507;
	/* Resume of I/O for the LUN failed due to an internal error.  */

	public static final int EREVERTINPROGRESS = 13951;
	/* Can't enable takeover service while a revert is in progress.  */

	public static final int EROLECONFIGNOTFOUND = 16033;
	/* Configuration for the role is not found  */

	public static final int EROLENOTFOUND = 16031;
	/* The role for the user is not found  */

	public static final int EROOTVOL_NOT_FULLY_GUARANTEED = 15908;
	/* Root volume not fully protected for overwrites  */

	public static final int EROUTEEXISTS = 14629;
	/* Route Entry already exists in current kernel table.  */

	public static final int EROUTENOTFOUND = 14631;
	/* Queried route entry could not be found in kernel route table.  */

	public static final int ERSHKILLERROR = 14526;
	/* Unable to close rsh session.  */

	public static final int ERSHSESSIONERROR = 14525;
	/* Invalid rsh session number.  */

	public static final int ESANOWNNOTENABLED = 13210;
	/* SANOWN not enabled.  */

	public static final int ESAVECOREDISK = 13513;
	/* Requested disk temporarily in use for dump or save core  */

	public static final int ESCHEDNOTFOUND = 15700;
	/* Specified schedule not found.  */

	public static final int ESCHEDULE_DOESNT_EXIST = 17126;
	/* Schedule specified does not exist  */

	public static final int ESENDHOMEINPROGRESS = 13946;
	/* An sf-send-home operation is in progress.  */

	public static final int ESERVICEENABLED = 13952;
	/* Takeover service is already enabled.  */

	public static final int ESERVICENOTENABLED = 13903;
	/* Takeover service is not enabled  */

	public static final int ESERVICENOTINITIALIZED = 13901;
	/* HA service has not been initialized  */

	public static final int ESERVICENOTLICENSED = 13902;
	/* Service has not been licensed  */

	public static final int ESERVICENOTSTOPPED = 13015;
	/* Service needs to be stopped before this operation.  */

	public static final int ESESBUSY = 14201;
	/* SES is busy scanning the array of shelves. This process may take a few seconds or longer. Retry your request in 5 seconds or more.  */

	public static final int ESESNOTREADY = 14200;
	/* SES has not completed initialization.  */

	public static final int ESETSPCRESERROR = 13116;
	/* Error setting space reservation.  */

	public static final int ESHAREACCESSDENIED = 13202;
	/* Access to a cifs share is denied.  */

	public static final int ESHAREEXISTS = 13203;
	/* Occurs when a share with the same name as that of a pre-existing share is tried to be created.  */

	public static final int ESHARETOOMANY = 13204;
	/* Occurs when number of shares on the filer exceeds the maximum limit.  */

	public static final int ESHELFHOT = 13913;
	/* The shelf subsystem is hot.  */

	public static final int ESHUTDOWN_INPROGRESS = 15877;
	/* Node is being shutdown  */

	public static final int ESIS_CLONE_CFILE_WRITE = 14954;
	/* Clone file write issue  */

	public static final int ESIS_CLONE_CLONE_CFILE_ATTR = 14939;
	/* Error in getting file attribute of the clone file  */

	public static final int ESIS_CLONE_CLONE_CFILE_NONEXIST = 14970;
	/* Clone file does not exist  */

	public static final int ESIS_CLONE_CLONE_DIFF_VOLUME = 14937;
	/* Either source or destination file is in different volume  */

	public static final int ESIS_CLONE_CLONE_EXIST = 14952;
	/* Source file exists  */

	public static final int ESIS_CLONE_CLONE_FH = 14940;
	/* Error in getting file handle of the clone file  */

	public static final int ESIS_CLONE_CLONE_INVALID_CLONE = 14948;
	/* Invalid clone file  */

	public static final int ESIS_CLONE_CLONE_INVALID_DIR = 14949;
	/* Directory does not exit  */

	public static final int ESIS_CLONE_CLONE_INVALID_RANGE = 14946;
	/* Invalid block range  */

	public static final int ESIS_CLONE_CLONE_INVALID_SOURCE = 14947;
	/* Invalid source file  */

	public static final int ESIS_CLONE_CLONE_INVALID_SPC_RSRV = 14965;
	/* Cannot set space reservation for block ranges  */

	public static final int ESIS_CLONE_CLONE_OVERLAP_RANGE = 14945;
	/* block ranges are overlapping  */

	public static final int ESIS_CLONE_CLONE_SFILE_ATTR = 14938;
	/* Error in getting file attribute of the source file  */

	public static final int ESIS_CLONE_CLONE_SFILE_NONEXIST = 14935;
	/* Source file does not exist  */

	public static final int ESIS_CLONE_CLONE_SOURCE_FH = 14941;
	/* Error in getting file handle of the source file  */

	public static final int ESIS_CLONE_CLONE_SUB_COMPRESSION = 17161;
	/* Partial file or LUN clone operations are not supported on compressed volumes.  */

	public static final int ESIS_CLONE_CLONE_TYPE_SUPP = 14942;
	/* This source file type is not supported  */

	public static final int ESIS_CLONE_CLONE_WORM_VOL = 14950;
	/* Volume is a SnapLock volumee  */

	public static final int ESIS_CLONE_DECOMP_ACTIVE = 14960;
	/* Clone operation cannot proceed while decompression is in progress.  */

	public static final int ESIS_CLONE_DOWNGRADE = 14963;
	/* Previously downgraded SIS metafiles exists  */

	public static final int ESIS_CLONE_FAILOVER = 14934;
	/* System is doing takeover or giveback  */

	public static final int ESIS_CLONE_FLEXCLONE_SPLITTING = 14964;
	/* Clone split is running on the volume  */

	public static final int ESIS_CLONE_LICENSE_EXPIRED = 14955;
	/* SIS clone license expired  */

	public static final int ESIS_CLONE_MAX_BLKS = 14968;
	/* The partial file or LUN operation exceeded the block cloning limit (64GB)  */

	public static final int ESIS_CLONE_MAX_DENSE_LIMIT_REACHED = 17163;
	/* Max Dense limit is reached.  */

	public static final int ESIS_CLONE_MAX_RANGES = 14967;
	/* The partial file or LUN operation exceeds the maximum block range (32)  */

	public static final int ESIS_CLONE_NLCSR_INPROG = 14943;
	/* New style lun clone split is running  */

	public static final int ESIS_CLONE_NOT_LICENSED = 14956;
	/* SIS clone not licensed  */

	public static final int ESIS_CLONE_SFILE_READ = 14953;
	/* Source file  read issue  */

	public static final int ESIS_CLONE_SHUTDOWN = 14933;
	/* System is shutting down  */

	public static final int ESIS_CLONE_SOURCE_TOO_SMALL = 14962;
	/* The source file is too small.  */

	public static final int ESIS_CLONE_SPLIT_MAP = 14961;
	/* Volume split blockmap upgrade is in progress.  */

	public static final int ESIS_CLONE_STALE_DINODE = 14931;
	/* Stale donor inode  */

	public static final int ESIS_CLONE_STALE_INODE = 14930;
	/* Stale inode  */

	public static final int ESIS_CLONE_STALE_RINODE = 14932;
	/* Stale recipient inode  */

	public static final int ESIS_CLONE_UNKNOWN = 14966;
	/* Unknown error  */

	public static final int ESIS_CLONE_VDISK_INVALID_NAME = 14951;
	/* Invalid vdisk name  */

	public static final int ESIS_CLONE_VFILER_ACCESS = 17143;
	/* vFiler doesnot have access to source or destination path  */

	public static final int ESIS_CLONE_VOL_NONEXIST = 14925;
	/* Volume does not exist  */

	public static final int ESIS_CLONE_VOL_NOTSUP = 14927;
	/* Volume type has to be Flexvol  */

	public static final int ESIS_CLONE_VOL_OFFLINE = 14926;
	/* Volume is offline  */

	public static final int ESIS_CLONE_VOL_RDONLY = 14928;
	/* Volume is read-only  */

	public static final int ESIS_CLONE_VOL_TRANSITING = 14929;
	/* Volume state transition is in progress  */

	public static final int ESNAPDIFFABORTED = 14511;
	/* The session was aborted.  */

	public static final int ESNAPDIFFDUPLICATESESSION = 14507;
	/* Session already has an outstanding request.  */

	public static final int ESNAPDIFFINTERROR = 14500;
	/* Unspecified error in snapdiff zapi.  */

	public static final int ESNAPDIFFINVALIDSESSION = 14508;
	/* Session does not match any existing session.  */

	public static final int ESNAPDIFFINVINPUT = 14501;
	/* Snapdiff invalid input parameter(s).  */

	public static final int ESNAPDIFFINVSNAPSHOT = 14502;
	/* Snapdiff invalid input snapshot(s).  */

	public static final int ESNAPDIFFMAXSESSIONSEXCEEDED = 14506;
	/* Snapdiff max number of concurrent sessions exceeded.  */

	public static final int ESNAPDIFFNOI2P = 14509;
	/* Volume does not have I2P enabled.  */

	public static final int ESNAPDIFFSNAPSHOTCHANGED = 14503;
	/* Snapdiff input snapshot was recreated.  */

	public static final int ESNAPDIFFSNAPSHOTEARLIER = 14504;
	/* Snapdiff input diff snapshot is earlier than base snapshot.  */

	public static final int ESNAPDIFFVOLOFFLINE = 14510;
	/* Volume not available.  */

	public static final int ESNAPLOCKNOTLICENSED = 14521;
	/* Snaplock is not licensed on the filer.  */

	public static final int ESNAPMIRRORCHECKERDIFFSNAPSHOTS = 15891;
	/* SnapMirror checker found different snapshots to be checked between source and destination.  */

	public static final int ESNAPMIRRORCHECKMISMATCH = 15686;
	/* There was a mismatch found on running a checker session.  */

	public static final int ESNAPMIRRORCHECKSUMERROR = 15887;
	/* Replication found a checksum error during the data transfer.  */

	public static final int ESNAPMIRRORCLONERESYNCERROR = 17157;
	/* Cannot resync flexclone, Scanners have not completed on the parent volume.  */

	public static final int ESNAPMIRRORDBLADEABORT = 16602;
	/* Transfer aborted by internal process.  */

	public static final int ESNAPMIRRORDESTINATIONNOTEMPTY = 15904;
	/* Destination volume for replication must be empty to receive a baseline transfer.  */

	public static final int ESNAPMIRRORDESTINATIONNOTRESTRICTED = 15903;
	/* Destination volume for replication is not restricted.  */

	public static final int ESNAPMIRRORDESTSTATEINVALID = 15012;
	/* The destination volume has an invalid transfer state.  */

	public static final int ESNAPMIRRORDESTVOLTOOSMALL = 15907;
	/* Destination volume for replication is smaller than the source volume.  */

	public static final int ESNAPMIRRORENGINETYPENOTSPECIFIED = 15901;
	/* Replication requires the engine type to be specified.  */

	public static final int ESNAPMIRRORERROR = 13102;
	/* Snapmirror error  */

	public static final int ESNAPMIRRORFILESYSTEMERROR = 15890;
	/* Replication encountered a filesystem error.  */

	public static final int ESNAPMIRRORIMAGENOTFOUND = 15687;
	/* The image specified was not found.  */

	public static final int ESNAPMIRRORINTERNALERROR = 15692;
	/* Replication encountered an internal error.  */

	public static final int ESNAPMIRRORINVALIDINPUT = 15664;
	/* Invalid input.  */

	public static final int ESNAPMIRRORINVALIDUUID = 15663;
	/* Invalid UUID supplied to replication subsystem.  */

	public static final int ESNAPMIRRORJUMPAHEADFAILED = 16606;
	/* The destination node was unable to online the volume after a replication and has rolled back the destination volume to a previous file system version.   */

	public static final int ESNAPMIRRORMISMATCHEDSNAPSHOTLISTS = 15902;
	/* LS SnapMirror destinations must all have the same Snapshot copies.  */

	public static final int ESNAPMIRRORNETWORKERROR = 15888;
	/* Replication encountered a network error.  */

	public static final int ESNAPMIRRORNOCOMPRESSEDVOLUME = 15906;
	/* Cannot replicate compressed volumes to 32-bit aggregates.  */

	public static final int ESNAPMIRRORNOMEM = 15665;
	/* Replication subsystem is out of memory.  */

	public static final int ESNAPMIRRORNOSNAPLOCKVOLUME = 15905;
	/* Replication cannot involve SnapLock volumes.  */

	public static final int ESNAPMIRRORNOTSUPPORT = 15666;
	/* Operation not supported by replication subsystem.  */

	public static final int ESNAPMIRROROFF = 13100;
	/* The Snapmirror subsystem is off  */

	public static final int ESNAPMIRROROPNOTFOUND = 15668;
	/* No such operation found.  */

	public static final int ESNAPMIRROROTHER = 15693;
	/* Replication encountered an unknown error.  */

	public static final int ESNAPMIRRORPARSERERROR = 13101;
	/* Error parsing the snapmirror parameters  */

	public static final int ESNAPMIRRORSCANNINGBLOCKMETADATA = 16603;
	/* Cannot replicate because a block metadata scan is in progress on the source volume.  */

	public static final int ESNAPMIRRORSESSIONNOTFOUND = 15690;
	/* The replication session was not found.  */

	public static final int ESNAPMIRRORSTREAMNOTFOUND = 15688;
	/* The stream specified was not found.  */

	public static final int ESNAPMIRRORSUBSYSTEMNOTINITED = 15008;
	/* The replication subsystem is not yet initialized.  */

	public static final int ESNAPMIRRORTRANSFERCOMPLETE = 15886;
	/* Replication is already complete.  */

	public static final int ESNAPMIRRORTRANSFEREXISTS = 15685;
	/* The transfer specified already exists.  */

	public static final int ESNAPMIRRORTRANSFERFAILED = 15662;
	/* A snap mirror transfer failed.  */

	public static final int ESNAPMIRRORTRANSFERNOTCOMPLETE = 15691;
	/* The transfer is not yet complete.  */

	public static final int ESNAPMIRRORTRANSFERNOTFOUND = 15689;
	/* The transfer specified was not found.  */

	public static final int ESNAPMIRRORUNDELETEDSNAPSHOTONDEST = 15900;
	/* Destination volume for replication contains extraneous Snapshot copies.  */

	public static final int ESNAPMIRRORUNKNOWNFSVERSION = 16605;
	/* The destination node detected an unsupported file system version in the transfer.  */

	public static final int ESNAPMIRRORVMALIGNNOTSUPPORTED = 18023;
	/* The replication destination does not support VM Align feature.  */

	public static final int ESNAPMIRRORVOLNOTFOUND = 15667;
	/* Volume not found.  */

	public static final int ESNAPMIRRORVOLUMEIDERROR = 15889;
	/* Replication encountered errors concerning a volume's identity.  */

	public static final int ESNAPMIRRORVOLUMENOTQUIESCED = 15885;
	/* Source volume for replication is no longer quiesced.  */

	public static final int ESNAPMIRROR_JOB_INITIATED_ABORT = 17160;
	/* Replication aborted.  */

	public static final int ESNAPMIRROR_NOT_INITIALIZED = 15000;
	/* Destination volume for replication has not been initialized.  */

	public static final int ESNAPMIRROR_REF_OR_XFER_SNAPSHOT_DELETED = 16604;
	/* The reference or transfer snapshot used by the transfer was deleted.  */

	public static final int ESNAPSHOTBUSY = 13024;
	/* Snapshot is in use.  */

	public static final int ESNAPSHOTDOESNOTEXIST = 13021;
	/* The snapshot name does not exist.  */

	public static final int ESNAPSHOTEXISTS = 13020;
	/* The Snapshot(tm) copy name already exists.  */

	public static final int ESNAPSHOTEXISTSPARTIAL = 14426;
	/* An incomplete snapshot with this name already exists on the striped volume  */

	public static final int ESNAPSHOTINVALIDID = 15803;
	/* Invalid Snapshot ID.  */

	public static final int ESNAPSHOTNOSPACE = 13025;
	/* Not enough space in volume for snapshot operation.  */

	public static final int ESNAPSHOTNOTALLOWED = 13023;
	/* Snapshot operation is not allowed.  */

	public static final int ESNAPSHOTRESTOREINPROGRESS = 15801;
	/* Snapshot restore is in progress.  */

	public static final int ESNAPSHOTTAGSERR = 15802;
	/* Error while performing operation on Snapshot tags.  */

	public static final int ESNAPSHOTTAGSMETAFILEERR = 15805;
	/* Snapshot tags metafile inconsistent.  */

	public static final int ESNAPSHOTTAGSNOSPACE = 15804;
	/* Not enough space for Snapshot tags.  */

	public static final int ESNAPSHOTTOOMANY = 13022;
	/* Too many snapshots specified in snapshot-set-schedule.  */

	public static final int ESNAPSHOT_NOT_LATEST = 13030;
	/* The reference snapshot is not the latest.  */

	public static final int ESNAPVAULTBUSY = 14453;
	/* Snapvault is busy with other operation(s). Please check error string for details.  */

	public static final int ESNAPVAULTERR = 14450;
	/* Snapvault Error. Please check error string for details.  */

	public static final int ESNAPVAULTRESOURCE = 14452;
	/* Transient error due to resource shortage. Please check error string for details.  */

	public static final int ESNAPVAULTSETUP = 14451;
	/* Error while setting up operation. Please check error string for details.  */

	public static final int ESOURCE_DEST_SAME = 17104;
	/* Source and destination volumes specified are the same.  */

	public static final int ESOURCE_DEST_VSERVERS_DIFFERENT = 17129;
	/* Source and destination volumes are on different vservers  */

	public static final int ESOURCE_ISNOT_LOCAL_VOLUME = 17100;
	/* SnapMirror source volume is not on local cluster  */

	public static final int ESOURCE_ISNOT_LS_VOLUME = 17103;
	/* SnapMirror source volume specified is not a load-sharing volume  */

	public static final int ESOURCE_ISNOT_RW_VOLUME = 17108;
	/* Source volume specified is not a RW volume  */

	public static final int ESOURCE_IS_DIFFERENT = 17105;
	/* Source volume specified is different from the source volume of the SnapMirror relationship  */

	public static final int ESOURCE_IS_EXISTING_DEST_VOLUME = 17106;
	/* Source volume specified is destination volume of another SnapMirror relationship  */

	public static final int ESOURCE_IS_LS_VOLUME = 17102;
	/* SnapMirror source volume specified is a load-sharing volume  */

	public static final int ESOURCE_IS_STRIPED_VOLUME = 17110;
	/* Source volume specified is a striped volume  */

	public static final int ESOURCE_VOLUME_HAS_CACHE = 17107;
	/* Source volume specified has a cache  */

	public static final int ESPARSE_SRC_VOL_INDEX_DIR = 17164;
	/* Source volume uses index directories.  This version of Data ONTAP does not support caches whose origin uses this option.  */

	public static final int ESPARSE_SRC_VOL_NOT_FLEX = 17148;
	/* Source volume is not a flexible volume  */

	public static final int ESPARSE_SRC_VOL_UNAVAILABLE = 17147;
	/* Source volume is unavailable  */

	public static final int ESPARSE_SRC_VOL_WORM = 17149;
	/* Source volume is a SnapLock volume  */

	public static final int ESPARSE_TOO_MANY_SPARSE_VOLS = 17144;
	/* Sparse volume limit reached on the node  */

	public static final int ESPARSE_UNKNOWN_PROTOCOL = 17146;
	/* Unknown protocol specified for sparse volume creation  */

	public static final int ESPARSE_VOL_CREATE_FAILED = 17145;
	/* Sparse volume creation failed  */

	public static final int ESRC_VOL_LOCKED = 18021;
	/* Source volume is locked  */

	public static final int ESTAMPREDIRECTSNAPIDERROR = 15679;
	/* Stamp redirect snapid failure.  Cannot jumpahead.  */

	public static final int ESTRIPEDRESTOREOPNOTFOUND = 13037;
	/* Volume snap restore not found.  */

	public static final int ESTRIPEDVOL_NOT_FULLY_ONLINE = 15551;
	/* Striped volume is not completely online.  */

	public static final int ESTRIPEDVOL_PRIVILEGELEVEL = 16501;
	/* The current environment privilege level does not support the vol-copy operation  */

	public static final int ESVCDISABLED = 13200;
	/* The API exists, but the service(e.g. cifs, nfs, http) is disabled.  */

	public static final int ESVCNOTAVAIL = 13201;
	/* The API exists, but the service(e.g. cifs, nfs, http) is not available.  */

	public static final int ESWAPFILENOSPACE = 161;
	/* Not enough space on volume to create a swap file.  */

	public static final int ESWAPINPROGRESS = 13151;
	/* Disk swap in progress.  */

	public static final int ETAKENOVER = 14523;
	/* Date can't be set in takeover mode on partner.  */

	public static final int ETAKEOVERINPROGRESS = 13917;
	/* Already doing takeover.  */

	public static final int ETELNETSHUTDOWNERROR = 15032;
	/* No active telnet session is present.  */

	public static final int ETIMEZONEDIFFERENTINRC = 14520;
	/* Timezone name being set is different from what is set in /etc/rc file  */

	public static final int ETOERRMAX = 13954;
	/* Dummy error val. Do not return!!  */

	public static final int ETOERRMIN = 13900;
	/* Start of the takeover error definitions. Do not return!!  */

	public static final int ETRANSFER_IN_PROGRESS = 17137;
	/* A transfer is in progress on the SnapMirror relationship  */

	public static final int ETRIES_COUNT_IS_ZERO = 17136;
	/* SnapMirror transfer tries count is set to zero  */

	public static final int EUNABLE_TO_UPDATE_VOLDB = 15708;
	/* Cannot update the vol_db.  */

	public static final int EUNKNOWNTAKEOVERERROR = 13920;
	/* Takeover is not possible due to unknown reasons.  */

	public static final int EUNSYNCNVRAM = 13919;
	/* The NVRAM log is unsynchronized.  */

	public static final int EUSECLUSTERNATIVEUI = 15699;
	/* This API is not supported from Cluster Management Interface. Instead use the cluster replacement API of this call.  */

	public static final int EUSERLOCKFAILED = 16036;
	/* User lock failed  */

	public static final int EUSERNOTFOUND = 16034;
	/* User not found  */

	public static final int EUSERUNLOCKFAILED = 16037;
	/* User unlock failed  */

	public static final int EVDISK_ERROR_ALUA_FCP_TRANSPORT_TYPE_CONFLICT = 9123;
	/* ALUA cannot be enabled on this iSCSI igroup because this igroup contains lun(s) which are already mapped to FCP igroup. Luns can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast of those igroups.  */

	public static final int EVDISK_ERROR_ALUA_ISCSI_TRANSPORT_TYPE_CONFLICT = 9122;
	/* ALUA cannot be enabled on this FCP igroup because this igroup contains lun(s) which are already mapped to iSCSI igroup. Luns can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups.  */

	public static final int EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_CFMODE = 9105;
	/* The filer's current fcp-cfmode does not allow setting the ALUA flag to "on" for FCP igroups.  */

	public static final int EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_ISCSI = 9104;
	/* This version of Data ONTAP does not support setting the ALUA flag to "on" for iSCSI igroups.  */

	public static final int EVDISK_ERROR_CANNOT_CHANGE_SPCRES_DURING_SPLIT = 9100;
	/* Cannot change the space reservation for the LUN while it is being split.  */

	public static final int EVDISK_ERROR_CANT_CREATE_INITGROUP_FILE = 9063;
	/* Initiator group change not stored on disk; unable to create new file  */

	public static final int EVDISK_ERROR_CANT_CREATE_VFILER_SHADOW_INITGROUP_FILE = 9066;
	/* Initiator group change not stored on disk; unable to create new vfiler shadow file  */

	public static final int EVDISK_ERROR_CANT_RENAME_INITGROUP_FILE = 9065;
	/* Initiator group change not stored on disk; unable to rename new file  */

	public static final int EVDISK_ERROR_CANT_RENAME_VFILER_SHADOW_INITGROUP_FILE = 9068;
	/* Initiator group change not stored on disk; unable to rename new vfiler shadow file  */

	public static final int EVDISK_ERROR_CANT_WRITE_INITGROUP_FILE = 9064;
	/* Initiator group change not stored on disk; unable to write new file  */

	public static final int EVDISK_ERROR_CANT_WRITE_VFILER_SHADOW_INITGROUP_FILE = 9067;
	/* Initiator group change not stored on disk; unable to write new vfiler shadow file  */

	public static final int EVDISK_ERROR_CFMODE_MISMATCH = 9098;
	/* The operation was pervented because the FCP cfmode setting on the local filer does not match the setting as reported by the cluster partner.  */

	public static final int EVDISK_ERROR_CLONE_NOT_SPLITTING = 9093;
	/* LUN clone is not currently being split  */

	public static final int EVDISK_ERROR_CLONING = 9038;
	/* LUN is already being cloned  */

	public static final int EVDISK_ERROR_DB_BAD_INDEX = 9102;
	/* Out-of-bounds index specified for LUN metafile.  */

	public static final int EVDISK_ERROR_DB_NO_SUCH_DATABASE = 9103;
	/* Invalid LUN metafile requested.  */

	public static final int EVDISK_ERROR_DESTROY_LUN_BUSY = 9062;
	/* The LUN is busy, stop IO before attempting to destroy the LUN  */

	public static final int EVDISK_ERROR_FILE_IS_SPC_RESERVED = 9040;
	/* File is space reserved  */

	public static final int EVDISK_ERROR_IGROUP_ALREDY_THROTTLED = 9045;
	/* Initiator group is already throttled  */

	public static final int EVDISK_ERROR_IGROUP_NOT_THROTTLED = 9044;
	/* Initiator group is not throttled  */

	public static final int EVDISK_ERROR_INITGROUP_ALREADY_BOUND = 9080;
	/* Port set is already bound to an igroup  */

	public static final int EVDISK_ERROR_INITGROUP_BIND_WRONG_TYPE = 9101;
	/* Unable to bind a portset to an iscsi type igroup. It is only possible to bind portsets to fcp type igroups.  */

	public static final int EVDISK_ERROR_INITGROUP_EMPTY_PSET_BIND = 9082;
	/* Port set is already bound to an igroup  */

	public static final int EVDISK_ERROR_INITGROUP_EXISTS = 9004;
	/* Initiator group already exists  */

	public static final int EVDISK_ERROR_INITGROUP_F_FLAG_REQUIRED = 9058;
	/* The '-f' flag is required to set this attribute  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_LUN = 9024;
	/* Another LUN mapped at this number  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_NODE = 9008;
	/* Initiator group already contains node  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_VDISK = 9023;
	/* LUN already mapped to this group  */

	public static final int EVDISK_ERROR_INITGROUP_INVALID_ATTR_TYPE = 9026;
	/* Invalid initiator group attribute type  */

	public static final int EVDISK_ERROR_INITGROUP_INVALID_ATTR_VALUE = 9027;
	/* Invalid initiator group attribute value  */

	public static final int EVDISK_ERROR_INITGROUP_MAPS_EXIST = 9029;
	/* LUN maps for this initiator group exist  */

	public static final int EVDISK_ERROR_INITGROUP_MEMBER_CONFLICTING_OS_TYPES = 9051;
	/* Node name already a member of an initiator group of a different os type  */

	public static final int EVDISK_ERROR_INITGROUP_MEMBER_VSA_MIXED = 9053;
	/* Node name already a member of an initiator group with a different vsa setting  */

	public static final int EVDISK_ERROR_INITGROUP_MISSING_ARGS = 9025;
	/* Missing initiator group attribute arguments  */

	public static final int EVDISK_ERROR_INITGROUP_NOT_BOUND = 9081;
	/* Port set is not bound to an igroup  */

	public static final int EVDISK_ERROR_INITGROUP_SET_TYPE_CONFLICT = 9052;
	/* Initiator group OS type change failed, initiator os type conflict  */

	public static final int EVDISK_ERROR_INITGROUP_SET_VSA_CONFLICT = 9054;
	/* Initiator group vsa setting change failed, vsa setting conflict  */

	public static final int EVDISK_ERROR_INITGROUP_TOO_MANY_NODENAMES = 9069;
	/* Number of nodenames per initiator group exceeds maximum of 1000  */

	public static final int EVDISK_ERROR_INITGROUP_WRONG_TYPE = 9010;
	/* Incorrect initiator type, must be FCP  */

	public static final int EVDISK_ERROR_INITIATOR_HAS_VDISK = 9039;
	/* LUN already mapped to initiator(s) in this group  */

	public static final int EVDISK_ERROR_INVALID_ATTR_MODE_VALUE = 9050;
	/* Invalid initiator group attribute value for 'use_partner'  */

	public static final int EVDISK_ERROR_INVALID_DEVICE_ID = 9113;
	/* The supplied Device Identifier was invalid.  Legal value is an integer in the range 1 to 9999.  */

	public static final int EVDISK_ERROR_INVALID_PREFIX_SIZE = 9147;
	/* The lun's prefix size was not specified in multiples of 512 bytes.  */

	public static final int EVDISK_ERROR_INVALID_SNAPSHOT_PATH = 9021;
	/* Invalid snapshot path  */

	public static final int EVDISK_ERROR_INVALID_SUFFIX_SIZE = 9148;
	/* The lun's suffix size was not specified in multiples of 512 bytes.  */

	public static final int EVDISK_ERROR_IN_TAKEOVER = 9132;
	/* The API is not allowed in takeover.  */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_CONFLICTS = 9128;
	/* Lun cannot be mapped because the lun has pre-existing ALUA conflicts. A lun can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups. Make sure all the ALUA conflicts pertaining to this lun are resolved before doing any more maps to this lun.  */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_FCP_IGROUP = 9125;
	/* Lun cannot be mapped because it is already mapped to an FCP igroup with ALUA enabled. A lun can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups.  */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_ISCSI_IGROUP = 9124;
	/* Lun cannot be mapped because it is already mapped to an iSCSI igroup with ALUA enabled. A lun can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups.  */

	public static final int EVDISK_ERROR_LUN_HAS_FCP_IGROUP = 9127;
	/* Lun cannot be mapped to an ALUA enabled iSCSI igroup if it already has FCP maps. A lun can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups.  */

	public static final int EVDISK_ERROR_LUN_HAS_ISCSI_IGROUP = 9126;
	/* Lun cannot be mapped to an ALUA enabled FCP igroup if it already has iSCSI maps. A lun can not be mapped to both FCP and iSCSI igroups at the same time if ALUA is enabled on atleast one of those igroups.  */

	public static final int EVDISK_ERROR_LUN_HAS_NO_SERIAL_NO = 9095;
	/* LUN failed to be brought online because it does not have a serial number and one could not be assigned  */

	public static final int EVDISK_ERROR_LUN_MAPPING_CONFLICT = 9009;
	/* You cannot add the node to an initiator group if the node is already present in another initiator group and both initiator groups have the same LUN map.  */

	public static final int EVDISK_ERROR_LUN_MISSING_FROM_SNAPSHOT = 9070;
	/* No such LUN exists in snapshot  */

	public static final int EVDISK_ERROR_LUN_STREAM_DATAUNRECOVERABLE = 9144;
	/* Unrecoverable RAID read error in LUN's attribute stream.  */

	public static final int EVDISK_ERROR_LUN_TOO_LARGE = 9091;
	/* Lun is too large to be onlined in this version of Data ONTAP  */

	public static final int EVDISK_ERROR_MUST_SPECIFY_F_FLAG = 9033;
	/* The '-f' flag is required to reduce the size of a LUN via rsh  */

	public static final int EVDISK_ERROR_NITGROUP_INVALID_ATTR_VALUE_OS_TYPE = 9032;
	/* Invalid initiator group attribute value for ostype  */

	public static final int EVDISK_ERROR_NODE_NOT_IN_INITGROUP = 9007;
	/* Initiator group does not contain node  */

	public static final int EVDISK_ERROR_NOT_IMPLEMENTED = 9000;
	/* Feature not yet implemented  */

	public static final int EVDISK_ERROR_NOT_IN_SAME_QTREE = 9018;
	/* Two paths don't belong in same qtree  */

	public static final int EVDISK_ERROR_NOT_IN_SAME_VOLUME = 9022;
	/* Two paths don't belong in same volume  */

	public static final int EVDISK_ERROR_NOT_QTREE_ROOT = 9001;
	/* Not at a qtree root  */

	public static final int EVDISK_ERROR_NOT_VALID_FC_WWN = 9005;
	/* Not a valid world-wide name (WWN)  */

	public static final int EVDISK_ERROR_NOT_VALID_ISCSI_NAME = 9006;
	/* Not a valid iSCSI node name  */

	public static final int EVDISK_ERROR_NOT_VDISK_TYPE = 9002;
	/* Not a LUN  */

	public static final int EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE = 9028;
	/* Mapped lun can't be shared for writes  */

	public static final int EVDISK_ERROR_NO_ISCSI_THROTTLES = 9049;
	/* iSCSI initiator groups cannot be throttled  */

	public static final int EVDISK_ERROR_NO_SUCH_ATTRIBUTE = 9011;
	/* No such attribute  */

	public static final int EVDISK_ERROR_NO_SUCH_CLONE = 9048;
	/* LUN is not a clone  */

	public static final int EVDISK_ERROR_NO_SUCH_DIRECTORY = 9020;
	/* Directory does not exist  */

	public static final int EVDISK_ERROR_NO_SUCH_INITGROUP = 9003;
	/* No such initiator group exists  */

	public static final int EVDISK_ERROR_NO_SUCH_LUNMAP = 9016;
	/* LUN is not mapped to this group  */

	public static final int EVDISK_ERROR_NO_SUCH_SNAPSHOT = 9043;
	/* No such snapshot  */

	public static final int EVDISK_ERROR_NO_SUCH_VDISK = 9017;
	/* No such LUN exists  */

	public static final int EVDISK_ERROR_NO_SUCH_VOLUME = 9036;
	/* No such volume  */

	public static final int EVDISK_ERROR_PARTNER_HAS_DIFFERENT_OS_TYPE = 9085;
	/* Partner has initiator with a different OS type. The initiator could not be added to the igroup.  */

	public static final int EVDISK_ERROR_PARTNER_HAS_DIFFERENT_VSA_SETTING = 9086;
	/* Partner has initiator with a different VSA setting. The initiator could not be added to the igroup.  */

	public static final int EVDISK_ERROR_PARTNER_HAS_LUN = 9072;
	/* Partner has LUN mapped at this number  */

	public static final int EVDISK_ERROR_PARTNER_NOT_REACHABLE = 9073;
	/* Partner could not be reached to check for conflicts   */

	public static final int EVDISK_ERROR_PARTNER_WWNN_MISMATCH_FOR_SSI = 9112;
	/* The local and partner nodenames must match when using single_image cfmode.  */

	public static final int EVDISK_ERROR_PORTSET_ALREADY_EXIST = 9075;
	/* Port set already exist  */

	public static final int EVDISK_ERROR_PORTSET_BOTH_INVALID_PORT_NAMES = 9111;
	/* The supplied local and partner portnames do not exist for the portset.  */

	public static final int EVDISK_ERROR_PORTSET_CANT_CREATE_FILE = 9087;
	/* Unable to create port set file  */

	public static final int EVDISK_ERROR_PORTSET_CANT_DESTROY_BOUND_PORTSET = 9097;
	/* Unable to destroy a portset that is bound to an igroup. Either unbind the portset or use the 'force' option.  */

	public static final int EVDISK_ERROR_PORTSET_CANT_OPEN_FILE = 9090;
	/* Unable to open port set file  */

	public static final int EVDISK_ERROR_PORTSET_CANT_READ_FILE = 9089;
	/* Unable to read port set file  */

	public static final int EVDISK_ERROR_PORTSET_CANT_WRITE_FILE = 9088;
	/* Unable to write port set file  */

	public static final int EVDISK_ERROR_PORTSET_HAS_PORT = 9076;
	/* Port already exists in port set  */

	public static final int EVDISK_ERROR_PORTSET_IC_DOWN = 9092;
	/* Unable to see port due to interconnect being down  */

	public static final int EVDISK_ERROR_PORTSET_INVALID_PARTNER_PORT_NAME = 9110;
	/* The supplied partner portname does not exist for the portset.  */

	public static final int EVDISK_ERROR_PORTSET_INVALID_PORT_NAME = 9077;
	/* Port name is not valid (example: filername:4a)  */

	public static final int EVDISK_ERROR_PORTSET_NOT_VALID_CFMODE = 9099;
	/* The portset operation was pervented because the FCP cfmode was not set to single_image.  Portset commands are not allowd when the filer is not in single_image FCP cfmode.  */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_FILER_NAME = 9084;
	/* Filer name used in port name does not exist  */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_PORT = 9083;
	/* Port does not exist in given port set  */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_SET = 9074;
	/* Port set does not exist  */

	public static final int EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED = 9096;
	/* Operation causes lun thottles to overflow on certain ports. Adjust throttle settings on igroups before attempting action again.  */

	public static final int EVDISK_ERROR_PORTSET_TOO_FEW_PORTS = 9129;
	/* Port set commands not allowed on filers with less than 2 ports  */

	public static final int EVDISK_ERROR_PORTSET_TOO_MANY_PORTS = 9078;
	/* Port set already has maximum ports allowed  */

	public static final int EVDISK_ERROR_PORTSET_WRONG_TYPE = 9079;
	/* Port set types must be fcp or iscsi  */

	public static final int EVDISK_ERROR_PREFIX_SUFFIX_SIZE_MISMATCH = 9121;
	/* The lun's prefix size was zero, but the suffix size was not. This configuration is not supported by the target layer.  */

	public static final int EVDISK_ERROR_QTREE_CLEANUP_FAILED = 9120;
	/* One or more luns associated with the given qtree in the temporary staging area could not destroyed.  */

	public static final int EVDISK_ERROR_QTREE_PRESERVE_FAILED = 9118;
	/* One or more luns in the specified qtree could not be preserved successfully. Make sure that the qtree meets all the requirements for a non-disruptive restore and retry, or proceed with a disruptive restore.  */

	public static final int EVDISK_ERROR_QTREE_RESTORE_FAILED = 9119;
	/* One or more luns in the specified qtree could not be restored from the staging area successfully. Make sure that the qtree meets all the requirements for a non-disruptive restore and retry, or proceed with a disruptive restore.  */

	public static final int EVDISK_ERROR_RESIZE_FIXES_NOT_GEOM_ALIGNED = 9055;
	/* Prefix/Suffix resize failed because total size was not aligned on a cylinder boundary  */

	public static final int EVDISK_ERROR_RESIZE_IMGAG_TYPE_LUN_FIXES = 9057;
	/* Prefix/Suffix resize is not allowed on luns of type 'image'  */

	public static final int EVDISK_ERROR_RESIZE_TOO_LARGE = 9035;
	/* New size exceeds this LUN's initial geometry  */

	public static final int EVDISK_ERROR_RESIZE_VLD_TYPE_LUN_FIXES = 9056;
	/* Prefix/Suffix resize is not allowed on luns of type 'vld'  */

	public static final int EVDISK_ERROR_RESTORE_WALKOVER_EACHOTHER = 9060;
	/* Another restore is running for the same LUN  */

	public static final int EVDISK_ERROR_SIZE_TOO_LARGE = 9034;
	/* Requested LUN size is too large  */

	public static final int EVDISK_ERROR_SIZE_TOO_SMALL = 9041;
	/* Requested LUN size is too small  */

	public static final int EVDISK_ERROR_SIZE_UNCHANGED = 9042;
	/* New LUN size is the same as the old LUN size  */

	public static final int EVDISK_ERROR_SNAPSHOT_FILE_NOT_VDISK = 9031;
	/* Snapshot file is not a LUN  */

	public static final int EVDISK_ERROR_SNAPVALIDATOR_ERROR = 9071;
	/* Write failed a SnapValidator check  */

	public static final int EVDISK_ERROR_SOURCE_IS_VDISK = 9019;
	/* Source path is a LUN  */

	public static final int EVDISK_ERROR_THROTTLE_BEING_DELETED = 9047;
	/* Throttle already being destroyed  */

	public static final int EVDISK_ERROR_THROTTLE_TOO_MUHC = 9046;
	/* Throttle reserve exceeds available resources  */

	public static final int EVDISK_ERROR_USER_ABORT_ACTION = 9037;
	/* User aborted action  */

	public static final int EVDISK_ERROR_USE_PARTNER_NOT_APPLICABLE = 9059;
	/* Setting 'use_partner' can only be done with FCP igroups on clustered filers  */

	public static final int EVDISK_ERROR_VDISK_EXISTS = 9012;
	/* A LUN exists at the path  */

	public static final int EVDISK_ERROR_VDISK_EXPORTED = 9013;
	/* LUN is currently mapped  */

	public static final int EVDISK_ERROR_VDISK_NOT_DISABLED = 9015;
	/* LUN is not currently offline  */

	public static final int EVDISK_ERROR_VDISK_NOT_ENABLED = 9014;
	/* LUN is not currently online  */

	public static final int EVDISK_ERROR_VDISK_NOT_STOPPED = 9146;
	/* LUN is not currently stopped  */

	public static final int EVDISK_ERROR_VIRTUAL_LUN_MAPPING_CONFLICT = 9140;
	/* You cannot add the node to an initiator group if the node is already present in another initiator group and both initiator groups share a LUN ID.  */

	public static final int EVDISK_ERROR_VOLUMES_ONLINING = 9134;
	/* Volumes are in the process of onlining.  */

	public static final int EVDISK_ERROR_VOLUME_NOT_SPACE_RESERVED = 9030;
	/* Space reservation not enabled for volume  */

	public static final int EVDISK_ERROR_VOLUME_SPARSE = 9061;
	/* LUN create is not supported on this sparse volume  */

	public static final int EVDISK_ERROR_WWPN_ALIASES_NOT_SET = 9115;
	/* No WWPN Aliases were set.  */

	public static final int EVDISK_ERROR_WWPN_ALIASES_TOO_MANY = 9116;
	/* You may set upto 1024 WWPN Aliases and you already have 1024 aliases set.  */

	public static final int EVDISK_ERROR_WWPN_ALIAS_ALREADY_SET = 9133;
	/* The alias already exists. Use 'force' to over-write WWPN.  */

	public static final int EVDISK_ERROR_WWPN_ALIAS_INVALID = 9117;
	/* The supplied WWPN Alias is not valid. You may have upto 1024 aliases that are 32-characters long and may include A-Z, a-z, 0-9, _,-,.,{,} and no spaces.  */

	public static final int EVDISK_ERROR_WWPN_ALIAS_NOT_FOUND = 9114;
	/* The supplied WWPN Alias was not found.  */

	public static final int EVDISK_ERROR_WWPN_ALIAS_REMOVE_INVALID_NUM_ARGS = 9131;
	/* Either the alias or the wwpn must be supplied; both may not be used together either.  */

	public static final int EVDISK_ERROR_WWPN_NOT_FOUND = 9130;
	/* The supplied portname (WWPN) was not found.  */

	public static final int EVERSIONMISMATCH = 13910;
	/* Takeover is not possible due to a partner file system or other version mismatch  */

	public static final int EVERSION_EXISTS = 15703;
	/* Version already exists, invalid version.  */

	public static final int EVERSION_INVALIDRANGE = 15702;
	/* Version is out of range  */

	public static final int EVFILERMONITORNOTSTARTED = 16018;
	/* Vfiler migration performance monitor not running  */

	public static final int EVFILERNOTFOUND = 13071;
	/* The vfiler was not found  */

	public static final int EVFILEROPNOTALLOWED = 13070;
	/* The operation is not permitted on the specified vfiler  */

	public static final int EVFILEROPNOTCOMPLETED = 13072;
	/* This vfiler operation was not completed  */

	public static final int EVLANEXISTS = 14632;
	/* The given Vlan interface name has already configured.  */

	public static final int EVOLAGGRISIRONING = 14468;
	/* Containing aggregate is being wafl ironed.  */

	public static final int EVOLEXISTS = 17159;
	/* Volume exists.  */

	public static final int EVOLISGRIDIRONING = 14473;
	/* Volume is running gridiron.  */

	public static final int EVOLMOVEJOBNOTINCUTOVERDEFERRED = 16021;
	/* Cutover could not be triggered, as the Volume Move job is not in the Cutover Deferred State. Please try again later, when the job is in Cutover Deferred State.  */

	public static final int EVOLMOVEJOBSIGNALSENDFAILED = 16022;
	/* No signal could be sent to the Volume Move Operation.  */

	public static final int EVOLMOVE_AGENT_IS_INITIALIZING = 13631;
	/* The volume move agent is initializing. Retry in a few minutes  */

	public static final int EVOLMOVE_LOCKED_FOR_SNAPMIRROR = 13632;
	/* The volume is involved in a snapmirror operation and cannot be moved until the snapmirror operation is complete or is hard aborted.  */

	public static final int EVOLMOVE_NDMP_DUMPS_RUNNING = 13627;
	/* Dumps running on the volume being moved  */

	public static final int EVOLMOVE_NDMP_RESTORE_RUNNING = 13628;
	/* Restore running on the volume being moved  */

	public static final int EVOLMOVE_SIS_UNDO_RUNNING = 13629;
	/* Efficiency undo is running on the volume being moved  */

	public static final int EVOLMOVE_WAFL_ERR = 13630;
	/* Volume move had a file system error  */

	public static final int EVOLNOTCLONE = 13170;
	/* Volume is not a clone  */

	public static final int EVOLOPNOTUNDERWAY = 13171;
	/* Operation is not in progress  */

	public static final int EVOLUMEBUSY = 13158;
	/* Volume busy.  */

	public static final int EVOLUMECIFSTERMINATE = 13159;
	/* CIFS terminate failed.  */

	public static final int EVOLUMECOMPRESSED = 14515;
	/* The volume has compression enabled.  */

	public static final int EVOLUMECREATING = 13160;
	/* The volume is in the process of being created.  */

	public static final int EVOLUMEDISKDUP = 13048;
	/* Duplicate disks.  */

	public static final int EVOLUMEDISKSIZEINVALID = 13047;
	/* Volume disk size invalid.  */

	public static final int EVOLUMEDOESNOTEXIST = 13040;
	/* The volume does not exist for the operation.  */

	public static final int EVOLUMEGSMINVALID = 14512;
	/* Group selection mode is not valid.  */

	public static final int EVOLUMEINUSE = 13156;
	/* Volume in use.  */

	public static final int EVOLUMELANGUAGEINVALID = 13046;
	/* Volume language code invalid.  */

	public static final int EVOLUMEMOUNTING = 13041;
	/* The volume is in the process of mounting.  */

	public static final int EVOLUMENAMEINVALID = 13044;
	/* The volume name is invalid.  */

	public static final int EVOLUMENOTCOMPRESSENABLED = 15609;
	/* The volume should have compression option turned on for compression of existing data to proceed.  */

	public static final int EVOLUMENOTDECOMPRESSING = 14516;
	/* The volume is not decompressing.  */

	public static final int EVOLUMENOTLOCAL = 16600;
	/* Volume does not belong to local cluster.  */

	public static final int EVOLUMENOTONLINE = 13157;
	/* Volume not online.  */

	public static final int EVOLUMEOFFLINE = 13042;
	/* The volume or plex is offline.  */

	public static final int EVOLUMEPLEXINVALID = 13155;
	/* Invalid Plex name.  */

	public static final int EVOLUMEQUIESCED = 13039;
	/* The volume is quiesced.  */

	public static final int EVOLUMEREADONLY = 13043;
	/* The volume is readonly.  */

	public static final int EVOLUMERGINVALID = 13049;
	/* Raid group name invalid.  */

	public static final int EVOLUMERGSIZEINVALID = 13045;
	/* Raid group size out of range.  */

	public static final int EVOLUMESNAPRESTOREERROR = 13038;
	/* Volume snap restore error.  */

	public static final int EVOLUMES_WITH_DIFF_STRIPES = 17140;
	/* No check is in progress  */

	public static final int EVOLUME_64BIT_UPGRADE_DISALLOWED = 15865;
	/* The 64bit upgrade operation is not allowed because another aggregate or volume is currently being upgraded  */

	public static final int EVOLUME_64BIT_UPGRADE_ESTIMATE_IN_PROGRESS = 15869;
	/* The space estimation for 64bit upgrade is in progress.  */

	public static final int EVOLUME_64BIT_UPGRADE_KIREETI_NOT_AVAIL = 15867;
	/* The kireeti file is being rebuilt and the space estimate cannot be started. User needs to retry at a later time.  */

	public static final int EVOLUME_64BIT_UPGRADE_MODE_INVALID = 15856;
	/* The 64-bit upgrade mode is invalid  */

	public static final int EVOLUME_64BIT_UPGRADE_PREQUAL_NOT_AVAIL = 15868;
	/* The space computation required to calculate the additional space to upgrade space reserved files is not yet available. User needs to retry at a later time.  */

	public static final int EVOLUME_64BIT_UPGRADE_VVOL_ENOSPC = 15861;
	/* One or more volumes are not large enough to support 64-bit upgrade.  */

	public static final int EVOLUME_64BIT_UPGRADE_VVOL_ENOSPC_OVERWRITE = 18026;
	/* One or more volumes are not large enough to support 64-bit upgrade due to space reserved files. For more information, see Bug ID: 477524.  */

	public static final int EVOLUME_ADMINOP_NOT_FENCED = 13957;
	/* Administration operations have not been fenced on this volume  */

	public static final int EVOLUME_ALREADY_64BIT = 15864;
	/* The volume is already in 64-bit format  */

	public static final int EVOLUME_ALREADY_QUIESCED_CLEAR = 13067;
	/* Volume already has on-disk quiesced flag cleared  */

	public static final int EVOLUME_ALREADY_QUIESCED_SET = 13066;
	/* Volume already has on-disk quiesced flag set  */

	public static final int EVOLUME_CANT_OBTAIN_VOLREF = 15866;
	/* Volume does not exist or is offline  */

	public static final int EVOLUME_CLEAR_QUIESCE = 13065;
	/* Volume's in-core quiesce flag is not cleared; the on-disk quiesce flag must be cleared first  */

	public static final int EVOLUME_DEST_STRIPED_VOL_NAME_NOT_ALLOWED = 16502;
	/* The Volume name is not allowed for coral member volume  */

	public static final int EVOLUME_FLEX_TO_STRIPED_NOT_ALLOWED = 16503;
	/* Volume Copy from Flex to Acro/Coral aggregate is not allowed  */

	public static final int EVOLUME_FS_SIZE_FIXED = 18022;
	/* Volume has file system size fixed option set  */

	public static final int EVOLUME_HAS_VFILER_STORAGE = 14469;
	/* Volume has non-default vfiler storage on it.  */

	public static final int EVOLUME_IRON_NON_LOCAL_STATUS = 18024;
	/* Wafliron running in another aggregate has status files kept in this volume  */

	public static final int EVOLUME_NOT_BOOLEAN_VALUE = 14471;
	/* Volume option is not boolean value.  */

	public static final int EVOLUME_NOT_QUIESCED = 13064;
	/* Volume is not quiesced  */

	public static final int EVOLUME_NOT_QUIESCED_CANT_CREATE_SNAPSHOT = 13185;
	/* Volume quiesce operation failed because snapshot create failed.  */

	public static final int EVOLUME_NOT_QUIESCED_CANT_CREATE_SNAPSHOT_NO_SPACE = 13186;
	/* Volume quiesce failed with not enough space to create snapshot.  */

	public static final int EVOLUME_NOT_QUIESCED_CB_TIMEOUT = 14465;
	/* Volume not quiesced because there are pending callbacks.  */

	public static final int EVOLUME_NOT_QUIESCED_CLONE_FROM_SNAPSHOT_EXISTS = 13184;
	/* Volume quiesce failed due to outstanding clone split operations.  */

	public static final int EVOLUME_NOT_QUIESCED_CP_SYNC_TIMEDOUT = 13179;
	/* Volume quiesce operation failed because writing to the disk exceeded the allotted time.  */

	public static final int EVOLUME_NOT_QUIESCED_FOR_CORAL = 14467;
	/* Volume not quiesced for a striped volume.  */

	public static final int EVOLUME_NOT_QUIESCED_GOING_HOME = 14464;
	/* Volume not quiesced because it is in takeover state.  */

	public static final int EVOLUME_NOT_QUIESCED_IRONING = 14463;
	/* Volume not quiesced because wafl iron is running.  */

	public static final int EVOLUME_NOT_QUIESCED_MISSING_PARAMS = 13172;
	/* Volume quiesce operation cannot start due to missing parameters.  */

	public static final int EVOLUME_NOT_QUIESCED_NOMORE_SNAPSHOTS = 13173;
	/* Volume quiesce operation failed because no more snapshots can be created.  */

	public static final int EVOLUME_NOT_QUIESCED_NOT_DRAIN = 14466;
	/* Volume not quiesced because there are pending messages.  */

	public static final int EVOLUME_NOT_QUIESCED_NOT_FLEX = 14462;
	/* Volume not quiesced because it's not a flex volume.  */

	public static final int EVOLUME_NOT_QUIESCED_NOT_MOUNTED = 14460;
	/* Volume not quiesced because it's not mounted.  */

	public static final int EVOLUME_NOT_QUIESCED_PENDING_MSGS = 13178;
	/* Volume quiesce failed because there are outstanding file system requests on the volume.  */

	public static final int EVOLUME_NOT_QUIESCED_PENDING_VOL_REFS = 13176;
	/* Volume quiesce failed because there are outstanding volume references.  */

	public static final int EVOLUME_NOT_QUIESCED_ROOT_VOLUME = 14461;
	/* Volume not quiesced because it's a root volume.  */

	public static final int EVOLUME_NOT_QUIESCED_SAN_NOTIFICATION_TIMEOUT = 14475;
	/* Volume not quiesced because SAN notification exceeded the alloted time  */

	public static final int EVOLUME_NOT_QUIESCED_SNAPSHOT_EXISTS = 13180;
	/* Volume quiesce operation failed because the provided snapshot already exists.  */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_CREATE_BUSY = 13174;
	/* Volume quiesce operation failed because the snapshot create operation is busy.  */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_CREATE_TIMEDOUT = 13183;
	/* Volume quiesce operation failed to create the final snapshot within the allotted time.  */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_SCHED_ABORT_TIMEDOUT = 13181;
	/* Volume quiesce operation failed because the process of clearing the snapshot schedule exceeded the allotted time.  */

	public static final int EVOLUME_NOT_QUIESCED_TIMEDOUT = 13175;
	/* Volume quiesce failed because the operation exceeded the allotted time.  */

	public static final int EVOLUME_NOT_QUIESCED_ZOMBIE_DRAIN_TIMEDOUT = 13182;
	/* Volume quiesce failed because the zombie drain operation exceeded the allotted time.  */

	public static final int EVOLUME_NOT_QUIESECED_PENDING_SNAP_REFS = 13177;
	/* Volume quiesce failed because there are outstanding snapshot references.  */

	public static final int EVOLUME_OP_NOT_SUPPORTED_BY_OWNER = 15681;
	/* Volume operation is unsupported by the owning vfiler/vserver  */

	public static final int EVOLUME_QUIESCING = 14470;
	/* Volume is quiescing.  */

	public static final int EVOLUME_RELSTATUS_UNKNOWN = 16601;
	/* SnapMirror relationship is unknown for volume.  */

	public static final int EVOLUME_TYPE_NOT_SUPPORTED = 14472;
	/* Volume type is not supported for requested operation.  */

	public static final int EVOLUME_UNSUPPORTED_OPTION_VMALIGN = 18025;
	/* The volume has the vm-align option set on it. This version of Data ONTAP does not support this option. Install a version of Data ONTAP that supports the vm-align option.  */

	public static final int EVOL_ALREADY_MOUNTED = 14713;
	/* Volume is already mounted.  */

	public static final int EVOL_BAD_MODE_BITS = 15607;
	/* The mode bits that represent whether this volume is a 7-mode volume or a cluster-mode volume are inconsistent.  */

	public static final int EVOL_BAD_VVLABEL_CKSUM = 15600;
	/* Volume descriptor has invalid checksum.  */

	public static final int EVOL_BAD_VVLABEL_MAGIC = 15601;
	/* Volume descriptor has invalid magic number.  */

	public static final int EVOL_BAD_VVLABEL_UUID = 15602;
	/* Volume descriptor has invalid UUID.  */

	public static final int EVOL_BAD_VVLABEL_VERSION = 15603;
	/* Volume descriptor has invalid RAID version.  */

	public static final int EVOL_CIFS_ENABLED = 13075;
	/* CIFS services are enabled on this volume causing the operation to fail.  */

	public static final int EVOL_CIFS_OPENS = 13068;
	/* CIFS open files prevent operation.  */

	public static final int EVOL_CLONE_BEING_SPLIT = 17151;
	/* Cloned volume is currently being split  */

	public static final int EVOL_FAILED_TO_ONLINE = 15604;
	/* Volume has failed and cannot be brought online.  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_IRON_ROOT = 15911;
	/* Invalid fractional reserve value for root volume being ironed  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_PENDING_ROOT = 15910;
	/* Invalid fractional reserve value for pending root volume  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_ROOT = 15909;
	/* Invalid fractional reserve value for root volume  */

	public static final int EVOL_HAS_REPLICA = 15852;
	/* Volume has SnapMirror destination.  */

	public static final int EVOL_INCOMPLETE = 15605;
	/* Volume was left in an inconsistent state by an aborted copy or an aborted snapmirror initial (level 0) transfer. In order to bring it online, you must either destroy and recreate the volume, or complete an initial snapmirror transfer or copy.  */

	public static final int EVOL_INVALID_FSINFO = 13069;
	/* Volume has invalid fsinfo blocks.  */

	public static final int EVOL_IN_NVFAILED_STATE = 14957;
	/* The volume is in nvfailed state  */

	public static final int EVOL_LOCKED_SNAPSHOTS = 17154;
	/* Volume has locked snapshots.  */

	public static final int EVOL_MANIFEST_NOT_AVAILABLE = 15705;
	/* Volume manifest is not available.  */

	public static final int EVOL_MANIFEST_QUERY_NOT_DEFINITIVE = 15706;
	/* Volume manifest query cannot be answered definitively at this time.  */

	public static final int EVOL_MIRROR_TYPE_INVALID = 15606;
	/* Volume is a replica with invalid or non-existant mirror type information.  */

	public static final int EVOL_MOUNT_FAILED = 14714;
	/* Volume mount operation failed.  */

	public static final int EVOL_MOVING_PARENT_VOL_RETRY = 17152;
	/* Parent volume is moving, operation should be retried.  */

	public static final int EVOL_NFS_ENABLED = 14936;
	/* NFS services are enabled on this volume causing the operation to fail  */

	public static final int EVOL_NOT_IRON_RESTRICTED = 15850;
	/* The aggregate is not in iron_restricted state.  */

	public static final int EVOL_NOT_MOUNTED = 14716;
	/* Volume is not mounted.  */

	public static final int EVOL_NOT_OFFLINE = 13058;
	/* The volume or plex is not online.  */

	public static final int EVOL_NOT_RESTRICTED = 13059;
	/* The volume or plex is not restricted.  */

	public static final int EVOL_ONLINE = 13060;
	/* The volume or plex is online.  */

	public static final int EVOL_ONLINE_ERROR = 13168;
	/* Unable to online the volume.  */

	public static final int EVOL_PARTIAL = 13169;
	/* Volume is partial or cannot be assimilated, and cannot be brought online.  */

	public static final int EVOL_RESTRICTED = 13061;
	/* The volume or plex is restricted.  */

	public static final int EVOL_SCAN_INIT_FAILED = 17155;
	/* Volume scanner could not be initialized.  */

	public static final int EVOL_SPACE_FOR_GUARANTEE = 13062;
	/* Insufficient space to enforce guarantee.  */

	public static final int EVOL_TOO_MANY = 13063;
	/* No more volumes can be added to the system.  */

	public static final int EVOL_TRANS_BLOCKING_FEATURES = 15707;
	/* Encountered features that block a volume from transitioning.  */

	public static final int EVOL_UNABLE_TO_SET_UP_SNAPSHOT_XLATE_TABLE = 15709;
	/* Cannot update the volume's snapshot translation table.  */

	public static final int EVOL_UNKNOWN_VERSION = 13074;
	/* This version of Data ONTAP does not recognize the filesystem version of this volume. This volume is probably from a later version of the software and is being left offline.  */

	public static final int EVOL_UNMOUNT_FAILED = 14717;
	/* Volume unmount operation failed.  */

	public static final int EVSERVERALREADYSTARTED = 14923;
	/* Vserver already started  */

	public static final int EVSERVERNAMEEXISTS = 14922;
	/* Specified vserver already exists  */

	public static final int EVSERVERNOTFOUND = 15698;
	/* Specified Vserver not found.  */

	public static final int EVSERVERNOTRUNNING = 14924;
	/* Vserver is not running  */

	public static final int EVSERVER_OP_NOT_ALLOWED = 14719;
	/* The operation is not permitted on the specified vserver.   */

	public static final int EVV_COMMON = 13222;
	/* The common set of offline/restrict checks failed.  */

	public static final int EWAITINGFORPARTNER = 13921;
	/* Waiting for partner recovery.  */

	public static final int E_ADDRFAMILY = 16000;
	/* Address family for hostname not supported  */

	public static final int E_AGAIN = 16001;
	/* Temporary failure in name resolution  */

	public static final int E_BADFLAGS = 16002;
	/* Invalid value for ai_flags  */

	public static final int E_BADHINTS = 16011;
	/* Invalid value for hints  */

	public static final int E_DIRECTORY_CHANGED = 16512;
	/* Directory changed since last listed  */

	public static final int E_FAMILY = 16004;
	/* ai_family not supported  */

	public static final int E_MAX = 16015;
	/* Unknown error  */

	public static final int E_MEMORY = 16005;
	/* Memory allocation failure  */

	public static final int E_NODATA = 16006;
	/* No address associated with hostname  */

	public static final int E_NONAME = 16007;
	/* hostname nor servname provided, or not known  */

	public static final int E_NXDOMAIN = 16013;
	/* Domain not found  */

	public static final int E_OP_DISALLOWED_ON_AGGR_NOT_IN_VSERVER_LIST = 16025;
	/* Operation disallowed on an aggregate that is not in the authorized list for the Vserver.  */

	public static final int E_OP_UNSUPPORTED_NO_SPACE_ON_DESTINATION_AGGR = 16026;
	/* Operation not supported due to insufficient space on the destination aggregate  */

	public static final int E_PROTOCOL = 16012;
	/* Resolved protocol is unknown  */

	public static final int E_RESNULL = 16014;
	/* Argument res is NULL  */

	public static final int E_SERVICE = 16008;
	/* servname not supported for ai_socktype  */

	public static final int E_SOCKTYPE = 16009;
	/* ai_socktype not supported  */

	public static final int E_SYSTEM = 16010;
	/* System error returned in errno  */

	public static final int E_VOLUME_INACCESSIBLE = 17158;
	/* Volume is inaccessible  */

	public static final int E_VOL_MOVE_DC_NOT_ALLOWED = 16024;
	/* A data-cache volume cannot be moved.  */

	public static final int E_VOL_MOVE_NOT_COMPATIBLE_VERSION = 16023;
	/* Volume move is unsupported between the software versions of the specified source and target nodes  */

}
