/*
 * $Id: //depot/prod/zephyr/lufthansaair/src/java/netapp/manage/NaProtocolException.java#1 $
 *
 * Copyright (c) 2001-2004 Network Appliance, Inc.
 * All rights reserved.
 *
 * ONTAPI Server stuff
 */

package netapp.manage;

/**
 *  Thrown to indicate that there was a protocol problem. It means that
 *  the server responded with something that we couldn't understand.
 *  Trying the request again will probably have the same result.
 */
public class NaProtocolException extends NaException {

	/**
	 *  Constructs a new <code>NaProtocolException</code> with
	 *  the specified detail message.
	 *
	 *  @param	message		the detail message.
	 */
	public NaProtocolException(String message)
	{
		super(message);
	}

	/**
	 *  Constructs a new <code>NaProtocolException</code> with the
	 *  specified detail message and cause.
	 *
	 *  @param	message		the detail message.
	 *  @param	cause		the cause.
	 */
	public NaProtocolException(String message, Throwable cause)
	{
		super(message, cause);
	}

	/**
	 *  Constructs a new <code>NaProtocolException</code> with the
	 *  specified cause.
	 *
	 *  @param	cause		the cause.
	 */
	public NaProtocolException(Throwable cause)
	{
		super(cause);
	}
}
